(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    102605,       2580]
NotebookOptionsPosition[     98475,       2462]
NotebookOutlinePosition[     98815,       2477]
CellTagsIndexPosition[     98772,       2474]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", " ", 
    RowBox[{
    "I", " ", "want", " ", "to", " ", "see", " ", "how", " ", "to", " ", "go",
      " ", "from", " ", "Gaussian", " ", "to", " ", "Gaussian"}], "*)"}],
   FontColor->RGBColor[1, 0, 0]], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Sqrt", "[", 
    RowBox[{"1", "/", "Pi"}], "]"}], "*", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"I", "*", "2", "*", "t", "*", 
         RowBox[{"(", 
          RowBox[{"x", "-", "y"}], ")"}]}], ")"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"-", 
         RowBox[{"t", "^", "2"}]}], ")"}]}]}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{"-", "Infinity"}], ",", " ", "Infinity"}], "}"}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.725313860636345*^9, 3.725313948184245*^9}, {
  3.7253139862308187`*^9, 3.7253139864585123`*^9}, {3.7269826201097755`*^9, 
  3.7269826379858055`*^9}},
 ExpressionUUID -> "e80b3f30-3a56-4791-be0d-9013af48632e"],

Cell[BoxData[
 SuperscriptBox["\[ExponentialE]", 
  RowBox[{"-", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"x", "-", "y"}], ")"}], "2"]}]]], "Output",
 CellChangeTimes->{3.7253139508832016`*^9, 3.725313988276922*^9, 
  3.731469740767258*^9},
 ExpressionUUID -> "6555e0e7-d82c-4907-93a6-292e40e97b71"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    StyleBox[
     RowBox[{
     "Why", " ", "the", " ", "Hermite", " ", "may", " ", "be", " ", 
      "unstable"}],
     FontColor->RGBColor[1., 0., 0.]], 
    StyleBox[",",
     FontColor->RGBColor[1., 0., 0.]], " ", 
    RowBox[{
    "note", " ", "that", " ", "no", " ", "one", " ", "seem", " ", "to", " ", 
     "compute", " ", "the", " ", "Hermite", " ", "expansion", " ", 
     "coefficients", " ", "using", " ", "the", " ", "quadrature", " ", 
     "method"}]}], "*)"}], " ", "\[IndentingNewLine]", 
  RowBox[{"HermiteH", "[", 
   RowBox[{"100", ",", "3"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7255223075941005`*^9, 3.7255223177362185`*^9}, {
  3.72698264533082*^9, 3.726982701829915*^9}},
 ExpressionUUID -> "9d74d619-b063-4261-a5f9-ebb98c10c355"],

Cell[BoxData[
 RowBox[{"-", 
  "550845428711963892666529466650855961048410931239556311834634256752414448422\
96248606510414823424"}]], "Output",
 CellChangeTimes->{3.725522319329713*^9, 3.7314697408772583`*^9},
 ExpressionUUID -> "f376be6b-9383-4bce-adf5-069fae8ee72a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", "%", "]"}]], "Input",
 CellChangeTimes->{{3.7255223334802094`*^9, 3.7255223356050167`*^9}},
 ExpressionUUID -> "dcaa3dea-4b10-4805-958b-82ab1c747f26"],

Cell[BoxData[
 RowBox[{"-", "5.508454287119639`*^94"}]], "Output",
 CellChangeTimes->{3.7255223361206903`*^9, 3.7314697408872585`*^9},
 ExpressionUUID -> "b3d83b2e-a06d-46cd-a841-9b540d8217db"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "If", " ", "everything", " ", "is", " ", "in", " ", "Fourier", " ", 
     "Series"}], ",", " ", 
    RowBox[{
     RowBox[{
     "can", " ", "we", " ", "use", " ", "analytical", " ", "formula", " ", 
      "after", " ", "initial", " ", "one"}], "-", 
     RowBox[{"function", " ", 
      RowBox[{"approximation", "?", " ", "Will"}], " ", "this", " ", "be", 
      " ", "able", "\[IndentingNewLine]", "to", " ", "avoid", " ", "the", " ",
       "sparse", " ", "grid", " ", 
      RowBox[{"representation", "?", " ", "Note"}], " ", "that", " ", "at", 
      " ", "the", " ", "finest", " ", "level"}]}], ",", " ", 
    RowBox[{
    "the", " ", "function", " ", "can", " ", "be", " ", "considered", " ", 
     "as", " ", "a", " ", "single", " ", 
     RowBox[{"function", "."}]}]}], " ", "*)"}], 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"-", 
        RowBox[{"t", "^", "2"}]}], ")"}]}], "*", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"I", "*", "m", "*", "t"}], ")"}]}]}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", 
      RowBox[{"-", "Infinity"}], ",", "Infinity"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.726283252623067*^9, 3.7262832773044424`*^9}, {
  3.7262836392695937`*^9, 3.7262836696462564`*^9}, {3.7269827123849325`*^9, 
  3.726982823444152*^9}}],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{"-", 
    FractionBox[
     SuperscriptBox["m", "2"], "4"]}]], " ", 
  SqrtBox["\[Pi]"]}]], "Output",
 CellChangeTimes->{3.726283693495611*^9, 3.7314697417872596`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    StyleBox[
     RowBox[{"construct", " ", "a", " ", "filter", " ", "function"}],
     FontColor->RGBColor[1, 0, 0]], 
    StyleBox[",",
     FontColor->RGBColor[1, 0, 0]], " ", 
    RowBox[{
    "so", " ", "the", " ", "function", " ", "decays", " ", "to", " ", "zero", 
     " ", "at", " ", "the", " ", "end", " ", "points"}], ",", " ", 
    RowBox[{"and", " ", "is", " ", 
     RowBox[{"smooth", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"eps", "=", 
     RowBox[{"1", "/", "10"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Erf", "[", 
      RowBox[{"x", "/", "eps"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}]}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.726393961325222*^9, 3.7263940017664557`*^9}, 
   3.7263941317807317`*^9, {3.7269828879952927`*^9, 3.7269829179643574`*^9}, 
   3.7308583678896728`*^9}],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
     1.], LineBox[CompressedData["
1:eJxF2nc81d//AHClgYqSQiGjkNGUaL0KIaW0kF3SsJIyoiSpjBKlkswyoqzI
So69x933mtmZ95KMhH7n3ef76Hf/4PF8vM99v885r9cZ78c9UheunbJZyMXF
dQn/If5vgbWDf/5wENffzyg69aj+w07L/7dbo6/D5UL2P9NoywaLz4/8s3jR
NaHdYsP//NmubLFA2+A/Wz3ePtrkM/DP0888/RD0//M7/nbRsM6+f47Q2+5M
9e/9Zx/78+6bj/T8syd3spvzSBf68/fDQezifcc3Hu1CM//zee/GjYz3najm
f/4d1WyRx9uJVOf/84uvvWERth2oc+w/OyvPRP3w/IYqHvzn/G/yyz9Kt6Oz
qrP/3d9NRc67oxXdIH3/a5mVBzXORLWgpxSnv65Ye6ouh9OMXI+FzhO2Fb9o
uP5QMzpl6T5LuEDSYX39QBNKue45Q5h/o2uH17MmdH+l/RThnPiZEualJlSR
fXqCsJXc3fhte5uQIP/XH4R5k7j9/AWa0JR3IIfwJwU/265uFjp8JGKI8GM3
dR6XBhaK+G06QNimbDB+aR4Lvd3W3kf4wKoIzfB3LPTqpVgPYREL/U6lIBY6
tG9lJ+Gx5Hkv5M5C3fcy2gjXTKWJnbJmoWGe6SbCu6P87N4Ys1CX4ySTcJzW
+fwefRaSe9tMJ3wnRNDYTY2FzPecIBMe3D2UUKSMn9fa2kDYsL10gleGhbTL
9eoIb1N0eR6xgoUiZYsrCEeQ9bt6F7LQleMVpX/b6y67fes0E+0TjS8i3FXG
bCjuYqLlQv15hE/YpYsvYzHRyBHd7L/9u8rf/kw9E71V8vj0N74We/i+5zCR
0dSRZMILF68+ty2FiVaIdccTdvwwlHjrLRN9vKgVS1h3OuLw8idM9OXNmVeE
P0e5hJ71YaL1rLkQwtKHj3dHuTGRN9n68d98Cvnjvf0CE+WKnfMmfEWN1ehh
xES+sZ23CNPa0yXKjjERv7boDcKpihcKDHcz0bnQhxcJr6fsWRajxERHpbPM
CPu5rzYZkGKikFDvM3/zt7xsynM5E21s69Yg3GAXqV2+gIlkll9XJ7xH0PUF
/xQDXa3z30pYyFJuZ2wnA6Uf0l1H+N5iLp9BBgP13e7i/5u/H1iknXUM9M5g
bCHhyml/x4psBnrAPjUwj60SfeGrwEcG8hMNayEcc3jv8nOxDFQTplpP2OPZ
cNJQIAMl/7RKJdynVj6tco+BDn5sjSR8+lukjpcrAy29HPKYsJLSid6V5xkI
4u5dJvyaIqdiYshA15Ylnya85BbX/XdHGUh5d+8Bwt/KMyRVVRmINX9FkPDt
07+01JQYSNT5wOwcka+dB6/ukWYgoRmJXsIGs40ZB/gZ6IgTK5PwsL8w4+Ai
BiofffOasJ+w5YzGDB01vQUvwkU72Bo6fXS0cH5Kk7BZ0a7LR1rpSD91fCPh
af07gUcpdMR6EbmI8Lary2knCuloXXgZmiX6I1rBxvglvv6uQIbwPmVnf5PH
dMSdEDD9G5uVn5di5kNHjuv8awmvZOhOWjnSEf1OnR3hj9bB66wv0lGm6qAa
Yd0x5gEbEzp61T/ATfje8suPrmrT0aCN2vMZbInw1A92++jIp+CcEeF8uclG
hx10lLR6oSjhHxoPRJwl6Chk1/3QX9gXbr1L8pikoZeJJ69OY88vGaq/PUxD
3Be/rCUcHrrjh1cXDdXyVhdNYVPSivfcb6Ahkc9H+Ag77ue1fFBGQ5FurkmT
2Hy1Bvcf5dPQ2KN8LcKafd9qAxNo6G7wiOMEdscNudEnETTk6xM495OI14Jr
QsHPaOhxZNQjwlli82ahXjSkn3v9yTj2xtNi7AhDGrIMemIyRsSjw1ow+hgN
KcvFolEiHo4fVGM1aMjcNkyCcKj/nrvxW2gojHy4mk3EQ9jnXeJGGnqd7i1E
uC6uujJpHQ3xPnlvPIK9qMh4ZeoSGrqvm14zRMRLP0YlfZaKBIoXTg8S8Wr5
bvzpBxV905ATJ3xz0jU2u52KBprT9Puxe5Ve7EDZVJSj/f5AD7aCVzy7/wMV
qUz38XQT/dP4OVkwlormx/QqOol8uc6QvhRIRec7bol8I+5f2tf+1JuKrl1R
+dhGxFNoKjzPhYpeLR/f1kr0Z47w6hVWVPTYS2ZZEzF/8cg3qp6lIl4eU0sm
0d5zaoFWelR0pVLqLR1bfNaYO0sFf1/u/SiZaP+h8HETXipat1Azshrb5Vly
mu88BW3srjhZSeRHd75d6jgFaWaUscuIeD1s6V7QTkFR/uHtiBgPzKFoRSoF
vUoJ3fqV6D/5WdOzVRS00vGYTT4xP9eK0d5/oqDSomaPLCJfxJSDKYkUFHjv
iXEGMT4d9h+bjaAgq/ef16YS891Ki7ITjygokpG5NRHb82x01qQpfv7DPRmv
iPgmpDlJnqQgsemUa8+J+EwjJT1tCrqfu3bRU+yg8I64yG0UdEE38f0DIh+H
Rq0qN1GQTGPkZ29s4f0LxMfWURBVR/aZJxHPb1IvtBZTkCWMfXIi4rVtx0nH
GTI62x48bkvEy0djRRiHjPQbPGcvYmdutH4w1ERGFa8OWRoT6/PVOJdnqWSk
NLBXeR/2si9Z2wvekRFp8UkXFWI+WV4+0htGRrSSJTeVsJtSe23U75PR/JRw
4HpiPHJNSlm7k9HDQ1JRgsR4O7mk/bEDGf2J3mTOS8w/47KGHUZk9FHAnzox
j+N1eLcgnz4Zjcd1+Q5hu7zUadipQUaXlikyOrDn1a5oP1IiI/ul147WYK/y
SlLdsoCM1ncf2xCG/TBbvmrlFAmdp4ebBWLPsBPPjQ+TEP8jNWUv7C7LhNu5
LBLSO93jcQHbMGwT/5sGElptNjl6GruGFBd9p4yEahsshrWwPx16V6KRTkJR
PdIXN2HLekif2ZRAQuVZmSwh7PBPsb1LI0iofY67lBvbRyaGp/4RCdWdEO3/
NsdBpxZHHjeyJCHNR/zTwdgV+8U61M+SkMK5M9Ge2Htc31wXO0pCvouSX9lg
S39/HdqpSkIt0cWXdmO/3CAqW6ZEQn9eVO/YgM1nHJaTIE1CMVS7PUuwx6te
Ntvxk9Cmjpu95FkOurxgrf3xRSSUNDhxOxs7+4bC7/M/G9HNKU21cOyHZ+UO
Ddc2InsXxGWJLScqVc/l2Yjgqox42288/wZsGC2/1Igmbq0WyceenhFfHXiq
ESV+PvbnBXZV67pzaxQa0a9XNjf0sNP1RW83r2lExr7Ko9LYYYXC0dEL8HXe
FeozMzjfY4R6Nzc1II2w+OXx2AarVvNwyhrQWq6YB+7Yaj6rFLPSG5C5945E
PWzei/zXD/g1IMnCnYWDvzgoWY5n7tTuBpSULLNJFPtZ2BJJEZkGZN/SXd8x
jddX3sWabfwNKNhua30Ctt7QAv/LffUoRik8Vhl7KPW30O0X9SjzJf3kpim8
v9gws/vQvXr09CTNqn0S73+Cp02WONSjyBYf6xfYj50nYoK16lGbxOjyuQm8
HqtylOLH61CVkZl5xk8OurTl7t28tjqk4xLKNsCOlhWg1FfWIf03rwJHxjlI
UHir2+SbOlRwc+8LceyjAqia72Edcrr7hZH+g4N8l54Q2+BUh/w8i+oPYk9N
ORbraNUhl2VXvQ3HcP6Pzq8221KHNl/5urx1FO+H+4MuOYnUoaQT4xxz7FZW
6rLXw7WoqvCIoSGHg0ry2GcHQ2vRu9aZorUjHDSb4fV+3qsWVRcHy94e5qBd
yfy/Ba/WIudgOb62IQ56H74lZu/+WjTsvJ4aPMhBTzwdBx/31iAh8f1zBd9x
ft6Y3xfbWIMk9K/0z/Th9xj7oKef82rQmkX3TuzEdjZLVWl/UoN0tyzhft7D
Qcb72V5bVbGLVo7yduL47PIia0rWoCK+8+nCHRxUq8y/0ZivBjF/kb9IfMP7
aYkt1d7t1Uhoa+hykTb8PvDHYTXlYTUix/aTP7HwejY1Z9PnVI2kUlSUHzJx
/nOe5M6YVKN+DWvHkwwO4ulIMZfZWo0GHCfbG6h4f1Y0kniTWYUCLscPWzbg
fM67M+NXXIXuT3ONDdfh94GMFfqRH6qQcnz1XqdaDqLGKv8ov1uFXltdKDGu
4qBcH4d9wvJVSDCaqvChGO8PPOaCFAWrEFKI5+pBHKR440knzFYinvVB+1cV
clCUdcrDK6RKZCHO7NfJ56D7WiOkPPdK1Nz3/aPEJxwP3eETKtaVaG3+UPxc
Gu4//aGGVP1KpN6Xer4xBa/3Zwfq3klXoifBIbx6SRzkeqm36kldBfLvClQN
jcbrv22PDk9OBarsqrqyIBLXx7G7wie2Ah2wdVplGc5B19w6y9xcK9CJB68D
BkPx+PJrKzovWYEcyn32qftzUMLjVmjlq0Cf+eT0pB5yUE9wS6HhRDnyNn+o
PuWD98evmwqO1pTj97nF5na3OcgkmZ6762Y5ooj1km0d8fhNpe1OtyhHlluc
VubachDjEzVb4Ug5ivoleHL0Et6vfiFnbZAoR5IpKqckLTnoWF19Om9VGYp5
uurijeMcFECq2+r7qQyJznbUrtDD8wWtNnU+ogwFVXbxBh/moMNt1R/Hr5ch
XkaXqd4+nA/s8vdt68uQqp6+eYA87p8fZXLGS8qQl/0DXyMZvD5PliZQRkuR
a5cAH68Efp/6UxxXWV6KNKrnzIVX4/GysjAm41opymx2VKD9ZiNHoa8blExK
UZ59qH7OBBt9FCmIStAqRSPPjVd4cthos1R+xBvRUvQ1v87+bRcbSe/IDntQ
WoJ6rohmX6hkozVnUoPPCZegNPPDdqoBbPRJNjD/MHcJyn6y97KrDxsZ/Lrc
s51TjH5v8eh47sFGAVFSanyVxWj5Wut7NrZsNN8f+i3ftRhlqA+wDHXZ6M2X
67yJF4pRuGDhBldgI7Wg4zufHy9G4ujzoWuqbOS8k+eRnWwxEphJ2jsiw0Z9
dzy3iDGK0JnJvBG+uRF038DYmKekCJlZXJ0a+jGCJGV2+fxMKUJhVV2i7/pH
kEkVm173oAithKiiEOoIahC8cOfOriJ0ddZY3jpxBDmeCAn7uhmhj5mSB2y1
R9D7n3rDLxYgVEoSWn1DfQR1vV500LGpELVfeKytpzSCDHvcvkv4F6IsJMA6
v2oEwS0LVe/+r8hW594a+aZhtPKdIk0jsQBtVny2M95iGOnp9sqtv1uAflzR
FDM5Pox8R6I8xw0L0GzQsy/0/cNoeregTNySArRLwl9jg9gw6qybvr740hfk
OHvlBZs+hD5NlgtUbcxHhY1PBkQPDKGg5LclB37lIaEfbesN5IeQncVdl8/1
eehQzK03ewSH0MYKtZa3rnkovlTGUaF3EL188SHhTlUu2lZWu+Pyo0HkoRKy
f6d9DnrE2cA3WDCADPsdRpMO5qA/ysN+Cm8H0M4IvXeSa3JQlsfqXuFHA2iY
exEvf2E2Clt0/f3UiQFkQXWl9Qtko9GdSKi4rR9pOJvZRWVmofaA8Fc7Br4j
CVl1iTV+WagjIklBpPo7+t20hhxoloWK8nZkxr//jrIONareWpyFsleKN+Vc
+o5kV2ksPGOUiQYskz5ktvchvnS517y/MxDj53keztdeFN/S+2TANxXJ+7Q9
uKbejZpvr42O3JmKgjZlG4qu6kb8EjrpJ7tSUJ6s8Um3/i7kavWekgcpaMOt
mAqDl11Iu9dWOGDmA/p4IfnBPXYn6mdzYhScklCMRrfNxpAOpLBwJtPONA4t
Rp0pbK0WZH5SLKvFOhRRKgX8DC7UoTw+T3qJy3NwTjtBmZSohRjlNdQ06VCo
vyo0O8RbBw8N0kgRjaEgPy9z4vDPOjjzsrvWdfNLcOGL0lpV2QCjUsdKFNrC
QHSCX+fwDjLIqounPdOKgmUJ+zp8v9KgOtNSK8M/DkY+x9o8v90C+8qVSuU6
4mDy49MyyZ4WSGf8OhSlGg/X7LSGNxxthZe/nkNgdzzEzaYHOAi3wUWo2mOz
PxGaQyKeiye1w5+abdtFx5JALXmIQ2N2wK6uBRL3jNPA6RrX9SWx3bAl32hs
W1IaXMvcf32+shtkn6WUdfxKg4Odi6qS2d2wLPbjrhj9dBB8HVq/YW8PzBoY
t/5hp8OFddf2u5F6oC09bTPa/glC+Z8frxjuheYIk9XCJp9ghZDz/kn+PmD4
LZ5z9PkE4/V0raZtfdBgZUqSoH6C4E6Um3ujDwpXLnXzupkJ6442v2qf6INo
J4uy/TlZIB0S6tw89B0izHhTX3zLAgXe/Gkt3n4I0816NbL0M8Q/ltW5KNsP
wZJ8dpHGn6HVr4y7xLIfvEmfV839+gx9L6TH/jT0w/ltKywL9uXAyibn+ILo
AbAQy9UVsskBiTfe2U9zB8CEx3qH/ZMceLnoScp68gCc6shdLNaeA/G76t5Y
LhgEjeCLHz3v5oJfrel8jMUgyIx++bWnJA8WKoZZmi4fgtv1mr4/R/Jgn3jB
iUjpIWAk1/KniuYDKWS6+JnaEATYtMhIXc+HMwqaBuHWQzDaPKO/VPIL2PZ0
XVDMHgK9XB9W0dEvsNP6ZYJIzRDEveCz9nD7Ahe5k5u+tg2BkcE695GGL3Du
+AvzHYuGobBc/S31TgF8UfbVpukPg8i7YqUnSQVAPfjoUojlMDh7H8nRphfA
/N7krcuuD8Omvefq8pS+wsRgicLu58PwON19MrrlK5xJ4vTdow2DyZscPXt1
BLAgbLPD0RHIcgf6JhsEMTlXqg6cGwF+w0rLb8EIxq+xfjMujUDxSubNU/0I
UorK35rfGwEhTc8TEUeL4MO7QQ96Jr6+HQndOl8EHjdDdUfQCDhKcjefdSuC
bOmwD6TaEaiaC7go8K4I2IHmKbNdI+CZG37LZ6YIkg8fHJrhZ4N8YvsBy5XF
MMZWyvAWZQPthfSifbLF4KBiNc2QYcOWG8lBEyeL4U6Ml+vUbjZ0Kee/u5JU
DKPhPX9ELNhw5F1T/XHjEnjWxnP4wls2jD5IvVTuUALu3e1cq5PZEHbl/p+9
90sgfR3Pz6gMNvQrK2/fnFoCxoqhYXpFbPDL9Q7lXlQKiiHxx/+0sGHbm7PK
HqKlkL45EMK62MC6o1AxuqUUwrb3eK0cwPXVpE21nSuF7Vf3dsZMsKGqXs40
N60UqvrJJcdXcMApfXZ8S3kpuPD2FnAEOSDynPw4vrkUHihON90Q4cAVY8/C
Z4vL4E6w3Sk5GQ7wdDdIOZiWQUv+JFlnNwd0pl36pZaWg+PxrSONJhxgN+vd
CxMrh9s23VlMCw68/LphncCOcrixscCx+gIH+nyqj86alYNO6DNNe1sOPFwh
nsb4VA7Ckskzee4c2DI6pqNfVQ6KHvE9629zgEGp6ChtKwexUd8c27sckA1z
EszgqYDFDTO3SQ84UCFd5hJoUQFXd7fyVIRwwHHxa/6FNytAVE6/LCyUA2v7
HRLd/SuATg0RMn3FgUspwk02WRVgVYgy0yI4sETNbt9Bvkr49uOrY2wCB1LX
HaRnb6gE06/fTH6954DhnJCj8q5KeGQgAJofOJBQUhi9zqoSrhtrL09N48Bh
fUHuic+V0OXUoP09hwNB53nHflVXwiA6+vJzHgdYLlzf5tsqQSPG3ffWFw7Y
RrHzeZZUQfGhPzzdhbg8p8ZZzLAK4q80i2mUc4DJXWIlZVsFp+Ivk0sqOCAp
kndc1qsK7iTsTdpTxYHMg4kK2xKqIDds1nVlLb5/yP0uzckqkCyfMDhH4oBU
ggdJl68axuYHB1+R8fPyrxfqS1TDEy3b+QYKB2a7LMONtKuhw1B+mxwdl1fZ
d8ruZTUcf9w6fL8Jl9fdedApuRp+6ok8DGjmQJaZwhaXwmoYEDhRFtDCAe0H
Inx3+6phctY9z70Nl2f8LH6mWgNbz1E283fi+g0Opb3Sq4F1xw2e9WLPzndF
RljUACtyWVxOF26vHPlWwsMauPvmwZ5jPbi8e8r2fEYNSHCdNN7zHZd/HLcB
DdZAwWPnnYPY2rFvVpTN18DK1OCwF/24vdX+A/WytXBux/nL3wZw+XWXYjtd
a8F8l3/NoWEcj63mT/sCauGjxvGPJOwgzTN3hqJq4UDxAMt0BLfXXuPcREUt
fI4ws73Mxvf/KrGKV7gOdFI3Fpwd5cBT8po/KxTrwMUh+3A1Nqt3+Ygg1EFi
fEih+hhuL//vKrHLdXB7YXLVqh+4vCXTe1tOHUTK1u+IGcf5PLwP+urqoFzs
9OCinxzwuvV27k1XHUibe3y8hO343MFjKX89vJT7ECM1gfNRkqr2VaYejtx5
/MsD2yJFbcpZvR54REqTydjHK7lvtl+sB50Fvy3cJnF9z1zdEepRD2GjJx5U
YB/obBg9ElwP8S/j9VZP4fHz+7XD5y/14Gbv/DMem3/rtsuPBRvAZLXfnYxp
nO8FLzZpyDfA/qBCIw72vO7v7qn9DbDRVuuo4i88fi9UWFlfbYCnrr5Zkdh9
HMUNoncbQDgoQIuG3X47pK0htAHW2XhK885woOGlmcmeogbgd5f/5YBdIVMi
MkpvgAMBcbxR2IXpcsz4oQYItw56VYedWvPj9CrhRtBfMGC06TeOz7yffr9D
I7hLFwVXYD8MZC+Lut8Ih09WZA1he4mcqTn9uhECL0YlCszi/tuxQQeVNcI2
eqj4GexLyHexS3MjuM1xf7qJbXFssFRhtBHGrAZ2h2LLZZpI1q4gQf6BvWok
7He3nvyJFyHBOGNryTD2hoNF7d4yJLB1TTHjmeOAcP2mSFV1Eqj1CnTsw176
fVT07UUSKNVu+/YG+36KzK/b10iQKRqTkoH954Yhy8iDBBqFR4srsKe4Cl6u
CCaBR71RIxv7RiXbpT+cBMZUEm3BPAc4T6TOlsaToNYxb5cQ9vd1j1bf+kIC
xZ/nJHZjW3fm/ThdQQLz0p9pOtjfEofJW8gkaKVUpBthM1VOBff0kWBn4glB
V+zK4+IrDATJQP1+tf4jttCWzrXOYmRo2P3QOxfbakW8ZKgsGfwuq1BKsWdq
lVRYe8hwUo3bvAlb+8Po/hktfF2t4U039vOALB2xE2Swbvf2HcFWOrLP1Mqa
DJ0dwhZcfzjgLs9l4+NAhmMv+c7wYpcvLXOMcyPDROjC+VXYFhVHffoDyeAE
Jm7S2MGapklOWWToD7i0/yB2q/SGzGeFZNAuQat0sDcv7C7IqiKDeI7cB33s
kiJb0nQrGdJ6/FRMsAVitjSv+06G13sE5a2wze7+6N43RobkQ7XfbbAn9ntM
eS+mQNaYGcUJW0P8wIJ3AhSInbHgcsUOml2wrFyUAm7iPVye2PJf/CV4t1Dg
m/eRu77YJmqvD4cYUuBwRvOrF9gJwuYnMq0o4DMT6/0ae3xS8hzdlgI7ZO5o
R2I//vzeXvQuBW79nHWIw24KtXfd608BHSsKORFb9uY2b/PnFDieLi78ARvt
yH0em0gBs+3r9TKwlwvejizNoIDG9gL1LGzjMUjs/UIBm00Z/DnYP9Iq8zeT
KGCyQ9q+AHujMrMzY5oC16/ZLa/Adlr+Zoi6kAotxxUPVGF/HbKYmFhOBc+d
iaY12IbJfTx7pKiwfnOIWQP2W/9kQTNFKvAbGRwiYXOuOIp57aJCvbCjEAXb
T25ya8kRKrxPUfajY9OW5Kv3nKZCwKmpzUxsqb47mkssqDBy81oBCzs/brGR
njMVBh8++tyCPSK1xosSToWgHUpLOrHVPGOvF8dRYS3NZlcXtg9N2SY9lQoL
/QPPdWOvfaR9LKiECtMqUj692FYdFLhTR4VI7WOP+rCT1S132jOokE1u8vmO
fWDYbZ3eIBVkS65bDBD1PbyIX/0nFeQ7NsAgNiUqeIH8PBUShdyFh7AvnUzq
XyxIgwsHTqYPYz/Nbs4uVqfBiLZuAAe7WeBycromDa4a/N46SvTv1fHIaH0a
UMKcGgnnrl/+4M55GgxKPZgdw17oEuZub0eDINWQgB/Yxxo22pu60GDcQH31
OHaH9/7T6v40uOIqs+YntkJztbb8cxrQ9pYFEb6503CPcCQNdr4q5J7A5ulz
lJpIp4HbRvsOwtuPxnDSWTQI4ea/OoV9O06pO7qLBupcg8WEK+ZyGUHDNIh1
OC08TeRrOvmrPRcdNPcb5BKO47XIMOWjQ8gbqUW//hDz92CcnhAdmlxmjxH2
WcP9WF6eDlcGDzAI1zk+vSu8gw5921rXzhDxqFp/Y8k+OiSbsc8QTvZQMek5
QYeSAEo1Yeo3G/kYNzps6RR8/RtbQv3H+qf36EB3ZVQSvvLMS8ArkA4+/AU/
Cc9qvZo0jabD0k+7jsxia0fJDOol0eH8yWEnwsFTaW3qmXSATXyvCG9MrioT
rsT1p+e1E3bkPpu7hEyHXo+rXHNEPMw6P0w00yF09Isk4WMCM8+obDrcWHzX
nLDLTcXzT9cyYGtJcxXhtXycAkMpBrh1cnf//X70JxEJJQb8lOImfj+F2Rp1
0sdDDNC9kK0wjx1lNad48xgDdI74HCQMk0WP9hoxoHnzmbOEfaR0ocaeAeo3
VG4T3piz7E2IGwM6BY2CCJcfa5w09mHAQ+n30YR53A1Tv79iwPXgX4hw8op1
fGlvGXCRa1kj4aPv2mxcUxggt8yhjXBQw0XxxaUMGNQ/NE1420X5W3X1DJAY
LF70B5v8a4j2nMWACU7aSsJCm248lmYzQLV2RJZwdr5q/8A0A1QKj2wnbGQw
o5nBzYTbpop7CYd73vsNokx4tvaFPuF9qw4bLd3IBD9rOUPCbQk8mQ1bmFD/
9bQFYUnKU1tzLSbcSXrsQLjk8umKjSeYsLky9iZh67m10sPnmJDCf8GTcIJ8
VJPHNSbEwPgjwrqF53dpeDBh8lTtE8IDpzeF8D5gwoXvZs8JK939qBsWzoTq
g3mRhBuEnOIs45lwaVHAW8LXkndyyaUzQfuIZCLhT/T8nM/lTMjlJKYRPmPn
tfoOiQlBp6MyCU9waVzTasH1gYs5hNWUqmWpo0zY7X+5kHBz8WOf8N9MuCaU
VEzY08ig/fwSFiQ8KCkjXOjDfDG6ngVWt3xrCFuJvBnLkWWBsNu2esILUi30
725nwcLTXxoJazX1LuLXYYFA1Q0a4T7HJCv6SRbc145jEH60yKEgwowFp6/l
sQjXbP15Q9GZBZJNL1sJrzD1VMx/xIK38Ws6CBs8XNitG8mCM68PdBMOzfAP
Z35iQUuaKHFeBZitK09dqmKBnnJqP+GYl9Z2MaMsGFJjDRO+YpDt2yzShOdB
3VHC2/l4o4QONYEcVWKc8Eypac7xq03wSsKFOE8DgbsXDJbkNUHsqslpwmIf
EsR28zXDq6enfhM+8Gzs3oYPzXA/YnLub3/c2vd96bEW0NslRZzvgWeUvNze
963w6Uf7X5cq7g4oXdwOuvd//zVPNDPl4dFvkGv69/wQyPIW9MfpdoDm4H9+
27Va+Gx/B6jP/WfxArvDi/064eN/55OA33T31N5dXTD9P3PNLExy7uqC/51v
gtlNHdxivt3wv/NPMHXyq0X5pp5/blGxXL/Jt/efnYxWrpJu7ftn0dAe40Xi
/f+cahqTOO4+8M9G++/qVn0d/OcMCwfpPbND/zzNp8mdd3bkn0+R96qKh7H/
+SDP5mD+Y5x//t95sn/+PzRh3wk=
      "]]}}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{-1, 1}, {-1., 1.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.73146974228726*^9}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Erf", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "+", "1"}], ")"}], "/", "eps"}], "]"}], "-", 
    RowBox[{"Erf", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "1"}], ")"}], "/", "eps"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7263940225076227`*^9, 3.726394111543579*^9}, 
   3.7308583678896728`*^9}],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
     1.], LineBox[CompressedData["
1:eJxF3Hk0VVsYAHBJFIVUIiqEJJUkoXvOJ0NJSJKxZKokSZJEmSrRIFNSCQkJ
GUoScigkCUlCynRH8zyF+865l1f/tH7r+/be39l3n733ea31JO3OGZ/g5ODg
eMvFwUH8vRWEu5hMJsYx9+fc5Iagyal/znq9XXZ49J+V5AzsqN3/vGv59eaq
n/+s0TlY+TDzn41vfk3bcfyfL9VcP3uqaPZ/19fzdZXYzvzvtcXnVu4Sn/7f
b86ULhL4PfW/be5sH2gKmPzfXjnhgV+v/vP9lmHxEs95x5MqFXL3p7j8846v
6s88LP/ZcPSxmtORf3ZcO1NzzGjeWaSYs9i09t5/zr0vEaG6Z955pG/v/Tcp
kP6Zm1/bdIXSvItJu625r01tnHcpyTWjIrN97byrSLcaNu39ITLvWlLi7K2W
ihXzriMVyfa4FfLPu4HUZGiwJGvJvBtJIx4Zcc+45t1C4o8TUHnAnJhzG0nu
k2vVral5d5I0+7/Z+YzOm0o6unrH5PmBeTNIlyDy3onuefeSwk+NylhQ5+w3
QEq/Z1qo3z4fHyaVv31rrNEyHx8ltbeKMHb8nI9PkqZ5vHw31s3Hp0nCir9W
iX2dNweiaE5K56+YczEnouf3RJPz47wXIQ4ps42j7+e9GPGtPX6OkTfffiny
aKJ40e/Xc9YQRHIkpGJqM+YcL4RU615TKn0xZ5tVCN2VXPE2cb69CML5UOd4
Wtx8veLI2pLk0dhHcxaUQFQZPHfC78+3l0KMl5+WCgydz5dBnNUq8y7fnrcc
ctN288GzgXN23YwkBN+h2PjPt9+GFGb3eptcmTN9O9LQZCike2nOnsrIwIKs
lN1u8/m7EF755bDt7JxT1BEZY7cfUo7z/aOIhtf3M8L2cz66B7FMUObktZ5z
hRbiXnk/esZ8zqF7kZChsa2Dh+ecsx9JWWNeRjacs74B8lHznVXj/jlnGCF/
nNYMfdGe86wxMhHuHYTB/PweQWjiJV171efcZo40JHMbVCvP+dFRpFRRP/PI
tjmft0Fe54ct/71pzmQ7JEH75wUH6fl6TiCh1eIN3evm3OOI+JrbqV4QnfNj
Z8Sl4/mjqRVzdnJFjjr3Tvvzz7neDTkwpnR8yZI5P7iIqPt5loQunF8/nogc
b9EGkdnxufm6gqyOXBgYN8G2BuqHcK/bT5cdZrv4YQAy8jxEL6N3zno3kM7t
9ek76Wz7HQtC6gpEBd53zPXXehsp1jl+Xvv3vO8hmTWJ37/8nOt/VzgSa9G1
83DdXH+1kcidzm3RzVVz+Z8eIN5nL07ZfpqLyz5GnMbzjzJK2LaZjUXM/Tkw
10K2BzKeIvv49kpO5M55cyKicv/2Nd9stl05niPS679RuNPZNlJNRVa8ENYN
SWY7q+0lwrnjaOqqp2ybc2UjA4VPlz55zHa8zWukdS/NRTpqrh7+XKS6VuFb
WijbQaLvkEJLtx07brMtd7cQSSO/vZ9/Y67/3cXII5eZ8T1+bLdd+IAETWha
fvZiu3G8FLkUEFRodJHtK98+ISeXVq9rPDeXz/cFMYla4X/caW6819WIloRF
J9Vhbj7PfEOUUmN1XI6zbfjhOyKhTH4+asF2w6kGRKBoE+9Vk7nxTjQhs/vO
OXMdZDvyUwvS8y2n+vb+uXz9NuSX1ZTiCu2557nYgVRSIOIRynYumYzknbsx
KqnG9vlEGvJ8stLsxQ62jxd1IVHXBPMVt7JdhPQh15eZiufJsewXsXoQufDg
sQ9sYPuo0TBiJ9neVr6Wbalvo4hRmqyWocjcfCdMILDTOemHENtra/4iW7Fs
nmPL2PlGtkxEfP/4aTIPyxptrxagfN9JVWc42XHp0YXo1NGArcPTY6y4si83
Sqd+CvUaZ9kv12IJ+tN12fCCIZaLTUKWouVTxkeCe9j5PSsE0Zzr0W8Faex8
GVEh9Bn/H9HodrbvHFuJhlsBj1oLu71AizAakBI/0tTAsk1YsijqNrqgw+sb
O7+hTBy107SvEati2ahGUgI1vldaWFjOsuvxVVKoZotM6rESdn9xWtKo0qab
D2YL2P2hr2VRKQ/69bhctpPObEKFPu5308hmeYD/ogLKKZh2vD2NZcXHjdvQ
oaNLDQKSWRZUrt2Odrw4q77hKcu6Dd070Lqx6o2lj1kOddJRQT9oKa46EcWy
al2nKvoqNIyTO4xdb1r1bjTh91B/8m2WFzvwAxoub/J7XyDL0xtN96ABl95U
0v1YbjxuoYW6lQrnBXuzLHc3Sge1W+6ZJO/Bcs/0Cl3U2Lop/IsryxxJjXqo
Zpq6n/MZliV29higShOPzy47yXJ+ZJoRKqkzY5lhw7LHuTBjVDDcWvegFcvl
9ekmKEcrtnPgCMsuHgvN0IHNkhvCjFje+/ixBdrmGSCodIDlui1XjqK1ZZ0z
dTosk6rSj6PFQjrdFzRYbu95ZItmHU9uXLmb5VbdUHs0Pp2n/M1OltVCCk6g
oZOOr00V2XFjKUfUb29l/Lg8y335lU6oa8TmkGgZlpUCC86iNm13vNUk2PUJ
+LiiRlv6HJvXEPYrM9FzQzW8Dpp6r2LZhm+fO6r4KUtLXJCVP7rmsge6fqXQ
9ve8rDgXheKJ8tteWGe9iBVfZxThjc6+rOdjMkcJi9Xf9EH7pnZOxk0RLs7V
ovihf/Y9oGqMsuIVUdkBaHXkxPf2fsJ+1hteXkeL2i1KArpYca/QlkA0Y2tB
xgYKYQ3SqHYwGustHlPayupvoKP7NhpScTX4RDMr3nXuZwjqs6rVg/sHYYlk
SZ4w1MVOw+F5Dcu02i/hqHXm00O6laz+P71/H4kaTnMCo5QVv4a0R6HofgeF
Wxhhm1je3Q/RrVFlopvzWfFnBrWP0bWdsjxVOax6o5OTY9GlikEjzpnsfLGO
eHT6CqN9WSrhAZ6fDxLQns96NRmJrLjEJs9EtEU4vfBgHGFXncU3k9Eq+2Wp
Aw9Z/d8prUhBC7NcHoRFEo4nCWimoekzNdeV7hE26uSceInG6G13+x5MOIVD
2DMLlebTq6y9TjiPuvZvNpr2xU6q2pdwtJla/GtU6Y631xcvwo76Ok5v0Hz9
yLqKi4TpkhZH36Kay17Kl7sSDhqvvPwOrfxaFvDxDGt+jiqXF6BNhuNKRbas
esvbrxajNgKCtwuOEl68pXqsBKXXyHXmmRGu39N/7yPqGrpnd64x6/e52Hmg
DJ0wsox4bUBYpODKlk+o3/IL3Vm6hEtVS3d9RnnqbmtlaBFWJs2e/YIKH34/
nKJG+IOMoUotGrui4UCyMmGp8TOx31CZ+r5nz7YRbgg5Lv0dTY/kmY6XJ1xk
5V9ZjyofkTCJlSHss8s0ogEtXKWW/liC1Z97uH8jqtVwiOuhGOHYdWujm1Fj
s2s5EctZ6+d0lV4r2rw6ZmnYUsLeLn1jbahtY45DCA/hX6/v2neg9Oivhbc5
WeO5Gfd2oq4W1JXBMyO4FwW7RlHQCVGmc+AEYa18LVsa6te8uuzaMGGuA8ZG
DPSe1f6LPgzCor/WJ/eiwuJ2X73JhN0qnJcMoLEtXjKXW3H7de6imA2isk8i
rno0E3FeTqR4CM04lv7jwg/Cp0pMtUdQlXVlW87XEqbV7aSOou///L7h8oVo
H3acI2UcrTouoHK6hLByWFrkX9REQi7kZCHhm5cflc6gv9o0qPZvcRev33hA
gAPsnlqgtq+I/taOVRovgC5btyjrl0S8r9MmgxPcpG73WaUQ7ZvOFWzggsmO
Z3stnhH5Gt2JOYtgscOPscMPcWuM9ncoLoFQ6T7DQ5FE+/RDJyX4YDWF+7nh
PSI+sah5xzKITVrPPHCLcFj6y7MCIHtS1Wz/DdwS37p20wUhQ/ZQ5l4/Ir5e
9Mo2IVChnebR9sbdtnRgacgK0HF8/BY9jzve5oXTA2GokssRIDkTcZrpIx0R
MGFUnVI7Rbh5rGP5Gmh5QcFU7Ih6oV1tVgwcnGZXKx8j6vPTerV0HfTIr3bd
bk7kO1li6yXgQve2iq2HiXosXC7rS0KAs63npv1E+1ATOnkD/AmxjsnXIsYv
SD94QQbUs62KD6DE/Oy5RFu3EaK+m5NbVHG7bmh8wZCDodEji112EP2t5s76
IQ+GIocVmFtw154e20FRgFR1I6NQOdxZ2WLha7aBra9e9Ku1uG14JK9xKEHh
032FWiKEwxU/W+0AkVLttnoh3KoXrrrXKIM7dQ/XyWW46Rd7Vh9TgdrFIDfO
g7sxN/sYtyoobCbpB3HiFjG8vPirGgQZqLmKzgzj9V9+PPJqN2iE78jbPYTb
M071FhkgJkexpaoHN9fkWtKaPTDRsIXDmoZb0fe1qKkmmEzKS/e34475JiD8
XAuyxOR0/Vpw5zibefHrwFJUxnn5T9yFL088vbsXHG2kQhO+4U5/GT0howvr
k8QbS8uJ8XUdDVMOgNcn0ekjJbgFORtu3zeABoawBK0At8lErWfCQVBaulLb
Mxd3m6+AB90IQrYud1ySTdT3dYvTcmPoMuK/8ygNt6nRZXGDw7D3Al/W5mTc
HrWhT2JMYPbtogmDx8R4HnvDvc3AsplTvPU+7nU0O+dlFpA7zQTXUNzKu206
31qCy56pm+E3cFufqhU/ag2V9uNpG/xw24Qct1WwAdnAkZocL9wdL35R1Wzh
d2Xf6p/ncP/iyft6wx5Ue7t3Ozrhfr2pmV7mAJECjOOTDrgnh5+nipwEfZPO
52KWuJ+GXueacoQUj7Yv6Sa4wz8FpdxyAq6Hv/uRg7ix3mo+JWco/P1zl402
7gnkZNLncyDC8cNqEB3G/F5y60n9cQV3qTrfADU8/uFrrjrlPCicqvqUuBWP
n1+96eJ6dwgK/ty9cxMeX7MwnHn4IpDTygU+bcBdgQ5seOgBMQPFZgwRPJ+z
XN7C/DJMCBV5e63A46nrqHz1XmCysyCOjx/3lEJajP0VWOr1hrZlIZ5vyGc1
WOILjjGv+LCZIUyj4wnHgc9+UFqUuc1oYgjzW3yIdPa9P3gvTL3k1juEcZzz
NFL8cg1cHlpz29CHsOIfM/4v666D3bYV9w068fbdH1sPUG+AntWVV3JNuHsM
Wmp3BAE6qLhHuB7vb4vI/VcuwbD9JqVmYQ3eH4PzY9rbWyDy2rD3TykeN4ib
XOBxF5buX3ilCsPjRibNHj0hwPzzljc/fwhrqwm/9FAtFKi8knL3s/D+P+y6
0dMUBjl2w3YHYvD89TYP7gTfh5SJ54OqD3BzQbd7SBQ8DjnqJxs+hEk8WsLN
G/sAAvLLniwIGsLimzi6E/48BA8jL4X+ADz/l0TIccHH4ETdWtByFXfGlkR1
wxg4JBTd+PYCPn7wMom6/ljQTtE/leQyhGXdesm5WT4eVNEFY+Gn8f5vmqZo
dcaDhJPTCpfjQ9iA73uVSqcE6CshGUofGMJqF1BsVvxIgg6zwZble/H6XzQn
d39Mhh+9SWeYGkNYqN6J1cYFz6FQVCC4WWUIc30n7v269AVkZX5cXbEdn++W
MSGZn6mQqOOZ/EZhCDPqXs4vNJwGt8+3fwyVGsJsdloNHdLNAB+eKGOftfjz
ZcVzSwRkgtsTvfYzIvjz3Ghq3WafBZafX8/u5R/CGjmSYx68zQY5yUC1mclB
TM7703ufxBwQf6te0TUyiO8nOkcSXN6AgEG/aWP/IJYVUC0zg+bCmKe5+2sK
7sNjrxqH3kJprXzm6W+DmG4TGpGUWgB5J1sRs6pBrC0v8xtHaiGkTUdUaX8a
xEKNLq0Jy3oP4XIzjPXv8faNRxZVfcfA1q9GuiFlEJMw2GP5V/0DmDbFob+f
DWJLbyspzPz4AHpKrubkWDwfxrqp7h9BmSx4ZygS7799892kolJYrGs8zO8/
iDmSX7TKXPsEM/FSy4SvDGJGpyLtMLQChiaHZNdeGsTilc9LxM1WwK+0CMvN
ZwexxRd4bC1uV0KGwI+SfRaDmOCgpW1e01d45pj0y9BkEEspDuq6kVcN0SUX
R48cHMQcVMQSfj+uAf8LwpscdAaxKr0X7ZJ5tWDy0yzUb/sgFqip6K2WUgd/
Y5ut3y0ZxGQ7nDu0JhpgYDzVs5hrEKu03D9dfOcnkI28wz8xB7DU/Q/lQjY0
QjWnePmP0QHM3cmbU8C8CRJOHtsy1D6AjSgZjxu1/ALdrW1/5fMHsKwjXGd/
J7cBcjNrldKbAeykr/KlBM52UGrz26aWNYDtDS3acuJ4O4iFS9rvSx7AvPbZ
idSJdUDfqF2lffgAhkZJXimN64T77ynRMU54vn9b394aKlh7PvLZdWIAs9h/
s+XcHhrI7TjoUHd8ANMLXpVklkOD/JS8bYuPDGAhWga+EEOHPxG3yy/AAGb5
FH3heKELNjptH9FbOYDxvbl4wEmlD9y2TMUOefdjqfuENOM6hoDrmb2T3Pl+
rHi2O7h67TBEiXzdaX2yH6tNXWGfZz4MBQvjqz4b9WPKWWkGKV+HgatZZype
ph9L4rq97uLrEYgKDDtysKYPu22rIDnkNAZy01MSN0r7sIm7Fp+z48Yg/7xD
T/67Puxks6ks4/sYtB7ddU02Ec+/iWi/Uh/Hn+d31oxnHwa7pg8fXTAB+a1y
S9Ol+jDar+M/hl0n4QppwctHIn3YefmQWPGHk4A8bDII5u/DFn9u25hVPAnF
xrfunZzqxUZihrat5J+CT2XdQpJ1vdhPA9H8oqdTECRV+lqgohd74CRwdnPZ
FOj5xpjMvu/F8huiqbO0KahWNYj69aIXM85xWNK8+S/Up2WIRvn3YqtLpRRO
pP+FqMU3869f6sViy9Vv8H35C2YnjltdONuLbViT+nIN4y80rxN8YmTRi0XJ
BS/x2DAN7WHnJfi292KpvgPnd4VNQ0Lf/pJJ2V5MUkFhl3raNDgckLKji/di
XIcyutJLp4HO9f1Z2eJerMTXeIA6Og19l5Q3+rX1YNVmb13qDs1AVv3SCpeG
Hnw/+7358qkZOL+d4nisqgfj9+CmProyAyNd91PV83owQ/m12JGkGfh7bHzL
6L0ejGcoR7RxYAYK82uqO2/g/f3Mvn6DcxZ8Vqecq/Puwe4s1X9ZsGIWOL+Z
Z2ee6sFawqTjPyvPwmLtfGUn6MFW8/YMx5+fhcr48B/mO3uwWfQi92ffWbgz
4+Sxb3MPxtuwaUXw3VkQeCuWJ726B4us39zT+HwWaleMmK9Y1oO5HN76zDln
FsJdqyYXLOzBgmbq5eKLZ0FY/uru1r5uTBMdde/7OQuNgUdavpK7saGcGxuW
dc7Cw84tVwubuzFuoRWu33tnQfzJn6KH5d2Y3qhYvDUnEzYIamiaxHZjgYf2
9yZuZEKIYruXU0Q39nxr6UiXIhMmjAJe+wV1Y9MFyyR/qTGhKqxU+qVbN0Ze
dnjzRz0mqLw6cezjqW5MSTX8IWbMhPg67qimo91YgKKb/jlLJriv2M/Dva8b
y6uu0h90ZMKfHV0gTurGrHUEej6dY4KuyW1Ppe3dWNuOaTdLDyasvf+VYS3W
jRVvd/UuCGBCubBx1dv+Lmz51MX9SdFMUNw1zFVN7sLsbPeqRDxhwiOzSITc
1IWVuhTF6Ccw4Vx0Q4ZgaRemeWkdVS6NCc15l2iy77owmlHcroOZTNBuEpFA
MrqwKysYrfteM0FkjVXY6eguLG81NSE3nwkB6tOffe92YbWONr+2FTGhx/IJ
Z1RAF9bWhCb7lzCh5HHrhQ/OXVi9mEFxzicmKBT6pTfadmFxysjv6EomRLVI
UvpMu7A73rvkrL4ywWmtg6nYni5sU/VeT986JtQji+5tV+nCRKgnZzrrmYBa
J3/at7kLKxZuy9r8kwkr4uiq7qu6sC4QIJ3+xQQfLPj8LV7csgn7bX8zgd4q
nxrPZGAaVvcGNVqZUChxVuwrg4HxUxGxgg4myO7hN+n8w8DkOdfdNSMzIdQ2
887kdwb20Il2uZXChBMJgzMyRQzs58ejem/oTKj9EK5Ces3AlBO8f3N1MUG9
c8c54xQGVrq/RE+rmwn80h5tPuEMLFx9YfG9XiZ4aq8WvX8TtweJFNfHhA6H
vENpVxgYb5Wrd3w/E94mTX34eZKBNTsfa/MaZIJU+eO/vVYM7Fktpn1kiAl3
qCRlrkMMTLDlC2PDMBNsNvomKe5mYHZNQorxI0yo3CfxZ68iA6NyLm4zHGWC
smOJ8DEZBvZy/4W+YdxLXiwMChZgYFyFDxZvGMfX1+fE4jguBuZ2/uHES9x/
GDqTbybpmIr2mMD2CSa8kg9y6uikY/Ex/PslJ5mw/pvNu81NdKzawVrlLu47
l9QWX6ymY9SDNM5h3BNrhcyKPuL5qiZM4yl8vkq7knje0TEJRrbnS9x1Th9H
jDLomJVXaB7nX/z3Wx6j9egZHfOe2LDoMG4Ra4N2hRA6JnRI4SsF93UuWUWP
a3RM1My8TA6/uw+mzvpgnnSsM6Hz4ync1od+fl3sQscCTRdxPMNdOZ4pbmxP
xw4G6Gc0494VG3TmsTkdi3Yr4BCYYUKitm0+2YCODe3qkNXAfTVMyPySKh2r
2zgW/xB3167u5OItdCz4ULruB9ymfz6OLtlAx6S5W87QcX+8HqN9WISOiVkb
bFs6i79Pmy9GxCyjY9edKG+24I75ZtBB4aRjhpcLJAxwL/GU3b5tgoZ5PN1y
zwl3R+nP6pIOGqbUqtITh/vgmay1fI00rGjj4+V5uAuXBzubfKVhGdssU6px
y+XZFjz5QMOEmg9WdOK+b63OS3tLwxwy+ILGcXMuWmGh+JKG9eS0TS9hMsEl
rfv55QQa1vZmRF0Mt+5EjM7SuzRsbT3lmDruN7EXI48E0LBqhZcndHFL6Rh2
xl6iYaMnEq4cwR3SLatEd6Zh1rpN2ba4/4Yx/bbb0TDeypsrzuJ2VG2s8TKj
YZFnl2dewl3/J2tdqT4NK9ggFOaPO2OzXaHpLhom8ELDLAK3WJ06X7wCDYtp
Fjv0GHeQ5wpLhiQNk3b/VZiAe2RdT4rSahpWGl/x7AVu27LSce+lNEyyMoY/
C3f1mSd7yxbQsC0Xgxfl4lYX8rjPP07F7mEQWoB75fGNO562U7GilR5Xy3D7
L+II6GqgYi1VK3s/4+5La6zdUUXF7FZ94q3GbWmcvf5qCRVj7pNo+Yb700Sw
S3kuFfujbHHyB27lOLv3AulU7Lj9kYxG3PE6u5daPKVi75al5P3C7RXe86L7
NhVzN5WTacdNVS2bUPanYj1KK+914j7c+mSfjwcV69T9VUnBXXzDI+rTGSrW
faLkFw23gsJBiqAtFRvprCtl4H5Yt1HZ0pSKNfHTg7pxc1/muPbsABXjsEyR
78XdWpYtoaJCxRzpFMEB3FcOT2qrKlCxOiFf7UHcIu0ap9WlqJhNM9l2CHeO
S9BdkggVe733idMwbqPpmmyUn4o5ya6yGcHdE7y6QYOLit2KeKo1Svweq49P
aU5RsEd2/sJjRL1KfZr7qBSsXr4mZBz30eKdp/a34HEtM5UJ3BMGV28fqKNg
IaanvxGO/FWaaVBBwVIKaDaTuBVPL60/WETBwh4kUQhXjR2eOJRDwTRrT9lM
Eevn+mNxk1QK5jNM+UY4Pk7+hHkUBRvzy338Fzdpi1uw5R0KNptJGiXcmP/u
5dEACqZbQds3jdtdd0GdtScFu2KrGklYsEF3zMaFgrmuT24mnG4fusbegYId
0I0XmyHW/+BP9IQlBYs8FGJG2H/pqZun91Kw0mashPC6RxlpZ0gUbPGrzAHC
+RvHas4qUTDTqR6xWdymb5CRc3IUjIuEaREe0rwh4raOgtX9dHQkHFJbRXJf
ScGabTbeIixvvdLWg5eCFQ3seEHY7vKzF15jZEyFg6eN8Cx399crPWSMi0Nh
gvCjSKUhnw4yFnLnKD8Tt4qUl7B/IxkjPcGkCNdllqhfqyZjPpqXdxJ2QZYc
v1FKxo42p+4lzPvF6NrNfDIWtOeCKWEtauuX28lkzPqyqhvhtgsbB+7GkDHf
JY4+hK8sOLcyNJyMlSpHBhMWuZerGh5ExlaXfYsgnCM+ezTSBx+/e8cTwkap
Ov5R7mSs9mhVEuGeXXeTop3ImIJr2kvCQWX1nx/ZkDF7lbYcwtKHxftiTMnY
qQjPAsLFbfZCcfpk7LIJfvoT68klTeWpJhnj0+H+RHji75DlM1UyJqEpVEU4
MljdN2krGTPUz6wlrLg64NlzaTLmHk2tJ1yV+PnTizVkTDWuuJGwo9LynjRB
MnZxs04LYa5ic8EMbjIWeMq7lXC8Qbxy1nQnlsY43UGY9Itm/mqoE/PDhCmE
Gx23Xc2hd2JRnjdphN3HPJ7m/unE9BVLGIQFrxeV5dV3YuSoim7C6cu5u/Ir
O7Hxyae9hHXjDPjfF3diyvqH+glTFO4rYbmd2BOF5gHW71XzJlXoaSf2o+Dd
MOt5zzdInbzdiRnvXj5G2H/l+KN3Fzsx+Y2T46zf8+3qFctsOjHTNzcmCa+d
Nl+Yo9yJuZ+q+suajz2Phi2XdGKx0nozhE2/iNenvOrA3g7ipwNu7yNxOWNW
HZixWgiTcPnpxIvhGe1YF62P5eU+L1S2LmjHspNmWN4oKvmVw7sV0xhhsqyg
0q+QNNyC/WCybY70+WxTaWb9+xnxb5bXtHtr33n+/N/6VV+zllTU/+9VJhmh
Fqvr/versTKBCunK/530i3KXcb3ofx87JJ7zyz7xf7/j9f7x4eIzmPfOjgXr
/M2x/71hoGBS/cPn/73/WdNXQ/O6/61jILRw9M3P/+3UMFISrtL8v+8d/+mn
+LYFyHPPFzIbZEA/2wqKo2x/Mly7zEioHdwk2PMTqmX1wjWnHQ5ivSxbqj7U
CTPtgIiHkSxjSnkRT593QEIjJ8vSW362Z090wEhELvv3SaUuVpfsBBvRO9Os
92Xj2LYP+zsh8HPNFGFJ6lUtbutOiC9MZv3e+YmLzPTcOsEpFpkgbGJ/1ykk
sBP6ZG+y1kuv5Cqfuked8PDMBeIXg4D6LSeyMjrxe9/MIGHhm3v1Qz50Qkf1
ItZ6tGmrg6tV+HiVh1jrNVXt+A7nhk7oDLrAWs8j4d2yVm2d0CV6irXe0Z5L
a/S6OiFghxzrfQjS4eJXG+mElk2vyKz9KDZ0gdxsJ2ymMdsJi0+IjwovJsOr
Dj7W+3by0Av6IiEySKyu/UU4K3Vny4gYGdZM6LDe16mFH2o6ZcjAdeok633W
Pmb4sW4bGVqSN7He93u5zbklamTYcPDmF8LNAqdSs7TIUIZ4lLPm9/TwkzgD
MtBv9hSz3q8PvmEhZmQIO92aTzhPbOmNq7Zk4FDWYu1HnBejPZ3PkOGDOh9r
v9Kvlna2ukgGDWwTaz+L2ph9XM+XDM3N92JY+6UfclgtmAxap7aw9kP55s97
5SLIsJ0yEMTaH3aYqq9+gj+P7aerhIvudGzhfk6G0SMx5wkvprpIjmaRofau
hQNhY/i7kpxPhnUctCOEY6JvLv5eSoZ7L+VZ+/f2A/H9WY1k0GHasvb7K4kK
nXEdZBg4Jcw6D8pn8hpCesigrcrJOi8EzXQqr46RoXwds5WwZda3984cFKgr
7CwjnLjEOtuKlwKCztdY50+fXVei3koKtDFfss6ngFUL78jJUWCyp0abcJXL
Pd/VShT48Mt4LWHhCrEL3CQKLCVdGiLOQxvJlJOjOhRYMzr2kXCql7Il+SAF
ZG8HhhEe+V5s8N2CAlKF9ZaE0S0Gez7Y4+OturWe8PfWE3Lxl/D+/qQ+JM7n
dWpDYvf8KfDaUtuQsGO4j4DPbQpIr4yfJs77V928C8/ep0CIq0Yi4WntB2NW
cRQYCYrVJrw3dkOX3gsK9Fzf9Ju4P4SOZ/5We00Brh6ds4SlUytKV3+iwNXI
2+eJ+4fLwiN53N8oMLtQk0zcV/KOtqeNNlNA93bCAcKcuWfjyGQKFBbXJhP3
HX2BqfDvfRRwDmwbIe5DUY6BgR8mKNDE8UOZcFuJkFc2JxX6rsadIO5PF903
294TpoKbl9h94r4lzNtfaCpJheQBHS/iPpYX90pknQIVWj4E7iPua5Y7Pdwp
KlQ43DI61U88X6VabfoeKixuDAzHd2iItZnZ7K5PBc0b3EuJ+x+MFd/cbUYF
WR2RE8T9MEBSFyqdqVB0Ji6NuE9Kv+V7HHaJCqYubhHEfbNMv2bMPIAK5tp3
DhL30ZMd4cYSd6lQXhTR0kasT0/TDNoDKlRWDKn8IX7PZWt4MxOoIHmpzpK4
3x549vuEx0sq9PwW1ibuvyHVDmsXfaSC1pUuE+K+rOggd7nqKxVEOIrdvuL+
NtldH9FIhdfFVzSJ+7bbvUxFq04q2L92KCrFvVLmwh2pPirUXDJvw3Dn5qvQ
GRNU8Nlf8xR/YcHMaEoreyENbsXV/sVfWHjk7f8XRGkwoa1mlUKc18t1zHik
afh60zR6ivt38uLX1VtpsJyf7/1D3D6kKv4oNRqYJjMfhOGWqLvndEybBsOp
/Q34CwsfTh0ulz5Ig7UDC8/54rafEZbqsaBBnekbk4u4k+Vim7zO0SDRd+NP
a+I8L7LdqelFA58ufgtj3IzDMmFLbtAgIqZySBv3LQa9p/YeDWa/lUWqEOel
b7pu9CMaOG+7vHUj7uqVronHk2gQ+eNYhjDuc6k7ODZm0QAjty5YRKzvH/lv
35TRQPpDw/ff+PebyRmfFVdraZCC2G6swD3KoXlO+xcN6o3vT2Thjopa9IWP
SoPGxdjWaNyqCp9lvw/Q4FMFlnkVd3PJnYBHf2lg7jd93Ba3t5nRH1tuOkit
OiCFX1ihKODn/QExOhjzq9hw4LYReTz4VpYOxzQ5H/7Cv2cXZFgb+G6nQ/yP
VdY5uBO0pF7sJdGBZKIffGuG+O89FC7+fXSwrbswdAw31eWFzY9DdJBV3Xlu
K+6bXGcLY47SQb/8b91f4vt728iFzW50+JzrGYafeOBc9rZm6AodZqYYgQdx
L7Py3px/kw5/XsRF8+POGEBv+ofToeWPzt3P+Pe+USBnp+4TOsD153J+uIfE
ylHBFDpUaoduVsIdmR386OcrOmhmvzzcOsWEny2Cxicr6FCVRJvchFvv9olG
9zo6ePBJvfk6iX9Pq+VbX2uhw2LvRbucccdH2Z+JH6CDvdyHK9ETTBDSyRvM
mKKDT55Ulgzu68NLPd9zMaD/Gk9w+ji+PxnlXm8WYUBW/Cla0hg+37O8fAwp
Bmgcc/qwGrf+y+Nh4woM4NL93Os/iu/nvEtiV+5hwKIVU3nICL4f5x2T3nCA
AXr81NCQYXx/OPUqdfsRBhiVyG1qGMLPw49Wbw1PM+B6p94ffIMAZ7cs5NgF
Bgi5I0LnB5jwR2JR6ZmrDHA6d175Xj++nq9m1AaFMWChhaBGSi/+vaqw0OzB
YwaspNWIJfTg67nZ7HdSEgPkGpDKkG4m3N61oOvDOwas9u/TRxn49wfliOu3
jwygh3N1M2lMcI1MHWv9ygBNCeX+bCq+HgcPL5xpZ0Dz2Rv+5E78/IlLCebr
YUC0oeZL+w58/RnOCKwZw+uvXuVV24af/2nJ4rt4u6Dwsvbgud/4fmHxN0Fn
ZRfMIheWPP3FBI7FRptM1nVB35bNsYVNTCA7TO48r9QFBcuOfM/8gd+PVhgW
+pK6gCf5dsaN70yoKEnQDNnbBW+bk701vzHh5Tr9g2mWXVC9K2D12Sr8/f4a
/+OdQxdYa67tbvzMhHDvUasKF7z/NVvzN35igkdjrCMloAtGmCE8TiX4eRQ+
6L8+rQsWPe+ZtM3B7yMaexdvfdMFTr1U9/IsJkj1PwohYbi3XU7leol/f+tr
P7b43gVjXzeLLUligudUtKTj7y6I6R7PqIpnQldK73MPWhcU5RZkOMQwoWbR
g5yIv11wxbTm8NIIJmjmdKsnLOqGL+e5RURD8O8pO42SLIFuKE+VCBwJYkI0
xvj6dUM3/P6ib7TcB38fL5NoPPrdMJHyNyv3BH7fcKj40WfaDXUzky1e1kwY
NjQp/WHbDfbZEo2jpkwIlHZ++uxSN2hzuF3i2Ye/LwIT924FdINoYmXSQ5QJ
olPXfM7f7YY9avvzmnbi3ys1j63gWTcYcA8bWm7A5yd/o55sRjc4VsfKRIni
50vSa9Vl77qheFYz0EMAv995fVn1q7obVFJe6ItNzcKkzN8aj6luMDzx8UtW
5Sx8ELxZdGxRD4QXvZqsej8Ld/4KvdQW7IGT6ZHrvLJmQeKb/C0h2R5A+SIs
rkbOQldBruekYg8YB3dcrL4xC6+TNU+17e6BR1PdUckes7D3iqV2xqEeuJ5Z
xNlhOguCp6hK94/i+RHX7TT2zkLTITfJK6d6YHZR8JDYzllwxj+z91/tAQ6+
5hmN5bMQXvcuj5LSA5dbGGkcH2fg6Hud51Wve8Bdo9WKO2MGZFK+3X9d1AMh
JaK5HtEzkHeV4eZf3wPJXls7Q87MwB850S1rOXoBGTzh7sA7AykrksS4+Hrh
0kSqT+DANJyfVeTtXtULk4Kmzxc2TANXvS4tb3Mv/BFMbVgcNw3yvp5PTcx6
QdrIsmPVpmkYOc0VutuuF0g2lRG0JdPw3iTUR+psL+y+WJ66pOsvGMmnWA0E
9MK9ECu/3Sl/wePHz1V3Mnrhb16Uopb4X/i4edetj4v6IPjAp5rsjkmw3mby
bFCgD9CThTmKBZMwoXS+cP2aPug48EpDOGISFNTT+ry39kHYeM1fkT2TEKm7
/rCyWR+E0m83ikdNwMkTPOJJKX1AjYlZd1lmHBbH/XwZeKAfsg5uz5liDENC
wkh5zpF+yLxdo7Hu9TCQkpe3dRzvh2W/5fknvYfB9eUBIXDvB/S7mh956TA0
FWAe4zH98CemJIZbYQhSG5+DY18/iPrur0TsB0B2SSE9UXcABF9erY97wYCh
T1udEgwGwMiuYbaAxICiwKfdccYDMBkx8tC8lg6mXDf7Hh0dgD85ra7bJ2lw
g3loJNR1AD4o9TdsNaYCeZTGvBI9ABsan2ge2NgJWTmW/l5PBmAq/wLn67IO
uHLhK6dnwgDsWH/17cITHbBy8NWiC+kDsNRkhOSe3A5aPVf5ThcPgHpM8v2V
O9sgoWPF6iP0AdBTfW8XuOQXuDwNjDbuHYA7Iai/3almULeZFDUaGoDQugbf
65+aoO73H/ED0wMgHvx8NiWkERY0vZDaIzgII9JnhspUG6DqgXgiumoQtp54
2yzz4gdEm96TIa0ZBIVWq22tYj9Asd5dbpf0IAzEvkiwWVwPNjWwdYvqIHSI
2kjHzHwDhZBXmfLIIKw543Drk983mNCX2S6nOQgVgWWqutzf4F4lr/IG/UGo
Xx7MsUekForKfqiJ2gzCSsaOy0GZVXDrum6B8IlByON95hDf/AVMtQpIK50G
IXR5R8d23i/QVxwPAu6DcOdtTG2sx2dYW3hGZ1HQIJRKK/0Ov1YOK0Wnplzu
DgI5Oqv85ocyWOoRlNUYjrd3PUw7zl0G09uSxNKf4P3zOO68EvMRmp/9GTR+
PQhyXsovnnCUQB3H2eeFeYOgf07xDt2hGD4f+3tUtmgQUqY9JaQeY5C3WqRi
smIQdDVps/Zm7yHq9qHY+D/48514K3hI6R2E0FsP85Lx8RK5hTNJeXBDx2WJ
O2MQJD4KFD4yfAvuzFvu+0YGwUiH6usb9Aacj4rKZ08OgmKGaa58Vg7Yv3ve
uoY5CH5RN+s//XkNxhdK9fqWDIGnVd9CktEr0Ks15jAXGMK/R+iOZeHZsGdL
+5uSlUNQ667gmvQrCxRpMxL31w9B8YrpwDhmBvBb7RrfvXMIJAaFbA+KpQJ3
Xll6kvoQcIxkhvrMpMDMShM7AY0hiFdNYXB2PYeeatevHXpDMLCu1qGnLQnI
m5kB+kZ4/qaPx0q7EuFX0F3V3CNDoLFvs+bPmWdQqZn6LNgGbz8qOPQETYAP
caoWwyfw9sKqx6rOPIV30+X8x84MQaiFOufmp/GQktt5WdFjCPxO6q0b2RsL
N+XXGv28jfvaqo/6zGjwuZm2aE8YXq/cF3uFmgfgQVYrSI3CnW1Zn54WBSdj
TWV9nuLPdzfnzu+gSLD+S/5FS8brCVmRkB8UAUfML4QdSsfnp2KzTHhEOGgL
hU5Lv8Xjf3ynEitCgXRu3auQQnw8VPrIHvI92FGVfmqiBDdUM7fqhYBU4Oe6
L1V4/qq+qQ36t2FNp1nQzjr8+d+qJ9dRg2G5BhWJ+4nntyqh5WFBwDHF+cKt
A68n7Fv27KpAsOlsGval4fHfTz4eXXADiquy0Ls9eFxDuvznxDXwi7Oufz6G
x9NFn5jxBkBb0M71b/7iPhQMPhv8QcNtqdMHjmEolhM1XbTPD5ja+cwW3mHg
aCf37zK7CtZbw/S6BHD3Kb77+tMbilY73h9fidskP3q5kxd+z1+1WWg9bs6S
/d+LL8Gf7z0X10sPg5+Tiuv4NQ9A338sVtiEx/nOiQmbXoTZe+dN9+3AvW+a
UiV9Aawv6z41UcXz5e10d0m4QZHd+h5bBI8nGXpqyJ0Hn51f/a/sw11ZcmN1
ngv8WZdYFayPO6HwYuiys4Au9l794BBu7o6pbZ5nYKZZ7mW2FW668ePtwY5w
tJQ5XmSDu3HvaO2WU1D4skGz6gTu2xhdkHwCrvhdb6Sew230a6lugD20nLba
MOKOe//VC+8d7YB0WMllgRfupm1nao7ZwrRM20Lx68R4qW8UOqzhqMBbw03B
uCe2e3CLH4PCibsPVUJwr3u+duKsFVz5snvboWjcDZQTYUfMoSVHyMv6CVH/
8Uv8DFMgxTJKzyTgFvG7ZhB6BP66PrAMTMddem6bmvBhsLR0SYrIxp1/mWfl
8CHI19IZiM/F7Wp2d2mbEXgJD98oKMatXJ6BVhtAM/NzbUUZ7shn904zD4A6
I16soRJ30Lh0gZ4eTBUYZg/U43b0e3hZfh9YJslMzzThrvdRsS3UgfyQ6b18
rbizVlXb22vDGs/vYSJk3COcKvbrtOCybWqLDH7ucaRcrzPs2QONev4bd/QR
8x3Du6FKA1SVzd00hgkL+X+7DDDBzb3YagZ3cc6yg493g/lAi7Ej5whw1E5c
aPypBnlNr59c5MFdPOV9fpsqiHy8RQ9YijuvcfxhvAp4ptvuCF2OOyiEg7Jp
JzTeV/V5IoxbI3fdxOcdoOor8DlVjMh/73XLVwnGD723LpPBbROy4JisIgQ0
Zf5GN+MeCHOKmd0C/LYJR/MUcbc5RCg1boZH9Mhf21WIelQSmA2bQNb1pmXa
btyKervSJjbCq/HLTdJ7iPqiI5nqsoD4OpvH7sXt2vqT9lgaTEIOmYYdwu0X
9CY/WxLfJ7V/8JrhDo3tEbSXgDNPVEyuH8XNcfJCrNk6GJPe9H3GluiPPt20
UhwC0sWML50inkctc2hKFPiV+b8NOBP9HUjawSMCDws4jJzciPZVJ4R2CUNW
JcXg2FXcEo9v6kwIAcm4saohgMg/Eqh9Yzl8aqo8YBRExCVPKG0RBGPb95Wf
7xLt14afa1kGf+iZ+7UiCPNHqdzlAyfXhIrCaMKzl3xPL4HR8ch9KrFEPReZ
2i48sJTHS2fTCyJ+Z58cdSFEhziXJmQQll8sb8IJG4SPa4nnEONvnXBq44CM
J4c+3H9H+Gn9zeVMVF1Ge48ARuRzVDtETaPl6SrFQaWEqxvTD0yhxsqbgLOS
sHBM25YJ9LQWPzJaT5jrqJrzCDpSyVHo0kyY1u/7YQj1Mx5Wp7cS7rrYpzaI
Lm2mvLOlEN49Khnfj0bbNqr+6iIsdx1d1ItKMyrfmgwQ9mAMx3ahma7vVapH
CWv0HjxNR8t9E5RLOEZxP7kd4U9GjXnuv1bnJkzzZlR0oL9Dbirl8BHeKJW/
ox11FPbK3rKcsG5YtE8rOvLEWfG5MGGlDKW6FtRP5nimhDjhoPKIY80o38tD
Wx9JEg4ZcBBvRKUKVRTuKhB2C70nXY9maG1K41YivPhI0ck6VO2LmLzfLsLm
QTNfa9FSY/4XkyTCMVvfZFSjRs0cchc0CTv82cVRhbbYDif37CNs1H759mf0
FIMic9KAsJxh/YFP6JBrY2KrMatev7+kMtRnonKDhTnhQt8Jy48or9/7hLpj
hBObpRJK0Ps8WZL69oRFGGsEilGJewnxZY6EVbuCkPdouvD99eBCWMPvWkw+
qhp7MzbvAmGOkt8789BSGa+1SpdZ9XTkc+WiRi+dY9J8CNeKP+XKQX8pHxeT
uU44Zafb9lfoycmdAjeCCbvG1oRkoQPvly6khLAsxCeZgXoFdI5pRxIWbFh1
Kg3l2pfflfiQsET8pq4UNIQv7A9XHOG2/RuSklHR2lN1DomEQ9P3RySiiZFo
eekLVn3+OlkJ6FaLVfnSmax6fohOxKN5a3teXs8hbLNBvToW1ez48JT8jpU/
SB5+jFYlP7yvjRH2O7zY6iFqdsY1OLGUcLzk35kotGPbvqtclax6fO78jESd
R9aed6hh5R+c6ghHx/JGHErrWT5HFwtD/a5+MZduZnlJ9nQIyquZoH+9lTWf
I9rL7qD3uS9rkMms8YV+2QWjEl8OKmt3sfKjD48Hoqn3ZOUS+1nxZyvLrqPK
JjNiXKOsuAazPAAtEqkXcJgiXGxxYsIP1f2durCUycqv4Ej1Qb8/9R/fsGiM
cPS3bG/U+qR59zVeliXFF1xG6fLbWjsFWB6zDvNA3foXfddaxXJL6lF3dPp1
S/mzNSxfjjrmhgZ6vs5fKMEyU+meK7ocuZVhL8PyjYXNZ9GYBbYJH+VZPvSD
4oTKlu+K2qDIct5JdUc06xb/rWs7Wfbpqz2Bqh+kXO1UZ/cHz+zR0hWF57U0
WI55n2aLHmwMP/FMh+WQ6MrjaHPMaYuFB1hWCI06ijrYahjYG7Hzh19ZoH0y
q/d8PML2GhEz1LOrV3mDFbv9cswE5cwslbtmw7Jb8FNj9O6Fx+KdJ1hW/vzO
CBVRdRPUOsOyu8YiQzRhWpfrmSvLujl9eqhCyfoJTg+W5U5t1EVzb4x123mz
5yvuuQ6qofe19YMfy4ttHLXQL/yJ36UCWV552H4Pavrd61PAbZY1rsoA2vbg
UEFHKMsp9I7dqNNRuUzNKJbbgkdV0REJZkLCY5Y5GCYqqA/lRxTnU5Ydj0/u
QJekpt+yS2Z5YmHLdjTS5ZrPhzSWBXf0bkPX7bB0k8pmWWImUAFNGVc8GZDL
siLivQlVKuSx7Chg2e9zsSxa6PfHQLOEHT9+UBrdp/NmT0I5y6F31kuhdUvu
7OSsYjk+Rl4CPVptt8nuG7s97w9xlBqutvZDA/v5Xr4WRV3NBJdLtbBsY04T
Ru1Stj2SaWfnLwxdiR6ZNNywicr2PXchVFfPJV2hm91e9p4gqv747k7FAZaL
Z3OWoVt60ot2jLLnI/kZLyqBVO3bNcVuH9POgwqFdNeqM9nx5acWoYtaeS1R
rnFW+0GFhejENvnOPUvY/qWwAO3y2++sw8+y34oPs8jvb46juivYvh30F6mV
CvLRF2GZ4+2zCeTDhec8RmvZFuUbQ96UlocelmKb5+0wkrKKKmq2kd0+On4Q
eXRy0TNLBXZc9lo/cuettIL1draz5HoQ38Xab2xV2M7eyEDcLOzRE7vZ5rtE
RRxSAz45arAdxE9GzP4+NXLWYbuU2o7o6Zc0ndNjW3GoFSE9abO7cJBtId8W
ZFsfs9vDhO2Tp5sQKVh/0cuC7YDnDcjKUHT2qjXbrxTrEZ72Yzf97efqnfmG
TG2/KnjDke2GRbVIT0DMw6CzbPcEVSGt3wuk7rixXXjyM1In/Svt3iW2Bx6V
I6UXp5QjrrDtKF6K5JaLFkX5s83RWYK8WK2271Eg28XVGBLjaF775DbbdJ1C
JOTdJYunoWznrX+H+PM+6Ei8z3bKoVzE3Sr3TMojtnXrXiMn03+MpMWxLfEw
G7GYGbmamci2BpKJ6Buu5Hn9gm3BvDQEjdsRmpvBdnxUCrJ9wFg0//VcfdVJ
iPQet4T3eXNxk2eIcHjY5pL3bNdKPkWWdGbllH6Yq98qFpneUYtUfGK7rfMR
0ne9v/xLFdt+NQ+Q9h/8RjXf5vpfeR+pl93aVNcwV9/zcKT8koFdw6+5/vxC
kXcVzt1NbXP52+8i6aJ33H9T5vsLRmKd0mbauubyawORsILKQHL/XH+briPX
l3YJ0Efm8/0Rj2NLHnZPzvmiL3I6Q06qf3au/3Jv5ChzX9rQwgl2/JonYmh0
Snls8ZyfXkT2PA18P7lszisvIMpDSXtnhOb83RWR1Sqr4RBhmyPtLCIaSTbn
WjtnWSdE9dp6YXepOX85iZi6WX7v3Djn3/aIu+390MNb5mxgi4Qb1Rp8VJqz
lDWSBXx8O1TnrG6J1GzdW5GAzLneFOlb639DSGvOzYeRpcsKNQN056x9CJGf
HmMOGsyZyxDR7d7+3vbwnEX0kJPNzl7fzOecshe58fn5rj3Wc07XQhLzOkay
7Oe8cg/y4fnaVxKn5/MRpC3K/Fyoy5zz1JDZGxEKHO5zNlJBxC9WM85dnrP5
DmS3w5LnrT5zLlZELA9rOxy8PmeOLYinpq8kFjxniU1I1Pb8P1vvzefLIDkS
o49jI+dcK4XUCSha8D+aH08CGZx1EvaJm28vjgj2JX3vTZyzjQiy9Xdb6LHU
+fFWIfpVYoZfM+fzhRCnAlM+5M2c/QSQoNSwivT8+Xw+5PnDqhvixfNxHqQ8
iEfrTtmcNbgQ8iVNjunK+fgChPPU1fdnaufbz5IkTPO8fv2Y9xQJ1RnedeDX
fP4Y6Zjy1tH8tvn4MOnKhtOv5Knz8QHSI6HEc4+65+M9pLwFrQq8g/OmkxoG
RLsuj82bQhppNXnO+DvvDtKKmnsOFgsm59xGUiqqlPzMPe9mktHLRa2qS+fd
QHKJ0YhJWT7vetKd294WIqvnXUtK9coVDhKfdxXp8+nB7+OS864gceueMvyp
MO9Skqbs74rcXfPOI9msEgmURf7Zl+uwVpTmvLNIhR0V7y8a/HPzt4XeFON/
nihGVY+YzzuetDMu55Wy/T9nWMU/H/b8Z+WfG6a4febNwVFg/Fx/zbV/rtif
Mahx9587dxXuDnn6zyIrG2vkKv85oEpg4pjY1P82Q3x1K97/c7b1WSn16b//
e4JXa+G7IzP/2/jbbpW10bP/m3c3X0nhk38uSWw+cPTZPyt6XrZ9nPHP/Ovf
3hEt++fPzkqdq4b+WWPxplB+fea/8c9PrMk49M+Zvz4lGZj987rMkwV37P55
+kgilffyP799th7hSf5nl2X9n5LT/ln2UpHx3ux/jtQ75nij8J/dBh9FLPz+
z/JWTuueNf5ze6naC80//2wU3Vjkz/jnxZwp+yX7/xk7c6m+eOSfPX7sPW4z
9c9z/3+t//0fmPI/ag==
      "]]}}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Part[{{Identity, Identity}, {Identity, Identity}}, 1, 2][#]& )[
         Part[#, 1]], 
        (Part[{{Identity, Identity}, {Identity, Identity}}, 2, 2][#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{-2, 2}, {0., 2.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.7314697423272605`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   StyleBox[
    RowBox[{
     RowBox[{
     "this", " ", "function", " ", "may", " ", "be", " ", "a", " ", "good", 
      " ", "filter", " ", "function"}], ",", " ", 
     RowBox[{
      RowBox[{"with", " ", "eps"}], "=", 
      RowBox[{"1", "/", "14"}]}]}],
    FontColor->RGBColor[1, 0, 0]], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"x_", ",", "eps_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Erf", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"x", "/", "7"}], "+", 
          RowBox[{"15", "/", "10"}]}], ")"}], "/", "eps"}], "]"}], "-", 
      RowBox[{"Erf", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"x", "/", "7"}], "-", 
          RowBox[{"15", "/", "10"}]}], ")"}], "/", "eps"}], "]"}]}], ")"}], 
    "/", "2"}]}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.726394153978973*^9, 3.7263941776102676`*^9}, {
   3.726394236983511*^9, 3.726394239756654*^9}, {3.7263948609110165`*^9, 
   3.7263948665903378`*^9}, {3.726394907203614*^9, 3.7263949488089776`*^9}, {
   3.726395024038229*^9, 3.726395028176465*^9}, {3.726395236091168*^9, 
   3.726395240018392*^9}, {3.726456867261206*^9, 3.7264568767477455`*^9}, {
   3.726982925103372*^9, 3.726982948572424*^9}, 3.7308583678896728`*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", 
     RowBox[{"Erf", "[", 
      FractionBox[
       RowBox[{
        RowBox[{"-", 
         FractionBox["3", "2"]}], "+", 
        FractionBox["x", "7"]}], "eps"], "]"}]}], "+", 
    RowBox[{"Erf", "[", 
     FractionBox[
      RowBox[{
       FractionBox["3", "2"], "+", 
       FractionBox["x", "7"]}], "eps"], "]"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.7314697423572607`*^9, 3.7328461149992995`*^9, 
  3.7330976743246927`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"N", "[", 
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"7", ",", 
      RowBox[{"1", "/", "14"}]}], "]"}], ",", "40"}], "]"}], "-", 
  "1"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7263948365456724`*^9, 3.72639488884258*^9}, {
   3.7263949351021996`*^9, 3.7263949359252467`*^9}, {3.726394973957401*^9, 
   3.7263949784726524`*^9}, {3.7263950201300073`*^9, 3.726395021082061*^9}, {
   3.7263952817387257`*^9, 3.726395291679291*^9}, {3.726456891193556*^9, 
   3.7264568996360226`*^9}, 3.7308583678896728`*^9}],

Cell[BoxData[
 RowBox[{"-", 
  "2.09191280388970719930700511194996611`17.32054357810214*^-23"}]], "Output",
 CellChangeTimes->{3.7329241922941976`*^9}],

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"14", ",", 
     RowBox[{"1", "/", "14"}]}], "]"}], ",", "40"}], "]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.726395005856205*^9, 3.7263950061842217`*^9}, {
   3.726395049727679*^9, 3.726395050075699*^9}, {3.726395264906787*^9, 
   3.726395274831338*^9}, {3.726456906396408*^9, 3.7264569068764334`*^9}, 
   3.7308583678896728`*^9}],

Cell[BoxData["2.091912803889707199307005111949966125014808706906249981`40.*^-\
23"], "Output",
 CellChangeTimes->{3.7329241941113014`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "check", " ", "how", " ", "the", " ", "Fourier", " ", "coefficients", " ",
      "decay", " ", "for", " ", "the", " ", "filter", " ", "function"}], ",", 
    " ", 
    RowBox[{
    "so", " ", "100", " ", "term", " ", "Fourier", " ", "should", " ", "be", 
     " ", "good", " ", "enough", " ", "for", " ", "double", " ", 
     RowBox[{"precision", "."}]}]}], "*)"}], 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"N", "[", 
     RowBox[{
      RowBox[{"FourierCoefficient", "[", 
       RowBox[{
        RowBox[{"f", "[", 
         RowBox[{"t", ",", 
          RowBox[{"1", "/", "14"}]}], "]"}], ",", "t", ",", "n", ",", 
        RowBox[{"FourierParameters", " ", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"1", ",", 
           RowBox[{"Pi", "/", "14"}]}], "}"}]}]}], "]"}], ",", "20"}], "]"}], 
    ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "0", ",", "100"}], "}"}]}], "]"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.726451047878456*^9, 3.726451053101753*^9}, {
   3.7264511131261697`*^9, 3.72645113540543*^9}, {3.726451274100245*^9, 
   3.726451280715621*^9}, {3.7264514303470497`*^9, 3.7264514507221947`*^9}, {
   3.7269829683864665`*^9, 3.7269829994115343`*^9}, {3.7269830510666466`*^9, 
   3.7269830672846813`*^9}, 3.730858392690502*^9, {3.731469812957369*^9, 
   3.7314698131873693`*^9}, {3.7314702983011*^9, 3.73147030520111*^9}, {
   3.7314703434821672`*^9, 3.7314703449821696`*^9}, 3.7314735123125753`*^9, 
   3.732924181686591*^9}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"f", "[", 
         RowBox[{"t", ",", 
          RowBox[{"1", "/", "14"}]}], "]"}], "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "I"}], "*", 
           RowBox[{"Pi", "/", "14"}], "*", "n", "*", "t"}], ")"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", 
         RowBox[{"-", "14"}], ",", "14"}], "}"}]}], "]"}], "/", "2"}], "/", 
    "14"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "0", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.731473102068961*^9, 3.731473129283002*^9}, {
   3.731473178471075*^9, 3.731473223871142*^9}, {3.7314734216224413`*^9, 
   3.7314734221124415`*^9}, 3.7314735170725822`*^9, 3.7329242213188577`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"g", "[", "t_", "]"}], "=", 
   RowBox[{"FourierSeries", "[", 
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"t", ",", 
       RowBox[{"1", "/", "14"}]}], "]"}], ",", "t", ",", "20", ",", 
     RowBox[{"FourierParameters", " ", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"1", ",", 
        RowBox[{"Pi", "/", "2"}]}], "}"}]}]}], "]"}]}], ";"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7264519903083572`*^9, 3.726452024766303*^9}, 
   3.7264528016015224`*^9, {3.72645286230494*^9, 3.726452862560953*^9}, 
   3.726453145119013*^9, {3.726983090654741*^9, 3.726983090874741*^9}, 
   3.7269834220044007`*^9, 3.7269839431428447`*^9, 3.7329242213198576`*^9}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"t", ",", 
      RowBox[{"1", "/", "14"}]}], "]"}], "-", 
    RowBox[{"g", "[", "t", "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7264527655305076`*^9, 3.7264527813293877`*^9}, {
   3.7264549633619995`*^9, 3.7264549662581625`*^9}, 3.7329242213198576`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "the", " ", "functions", " ", "at", " ", "the", " ", "finest", " ", 
    "level"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "We", " ", "will", " ", "introduce", " ", "Faddeeva", " ", "function", " ", 
    RowBox[{"NOTE", ":", " ", 
     RowBox[{
     "this", " ", "seems", " ", "unnecessary", " ", "after", " ", "checking", 
      " ", "results", " ", "from", " ", "erfz"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Fadd", "[", "z_", "]"}], "=", 
     RowBox[{
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"-", 
         RowBox[{"z", "^", "2"}]}], ")"}]}], "*", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"Erf", "[", 
         RowBox[{
          RowBox[{"-", "I"}], "*", "z"}], "]"}]}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    StyleBox[
     RowBox[{"Case", " ", 
      RowBox[{"I", ":", " ", 
       RowBox[{"left", " ", "boundary"}]}]}],
     FontColor->RGBColor[1, 0, 0]], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"-", 
         RowBox[{"x", "^", "2"}]}], ")"}]}], "*", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"2", "*", "I", "*", "x", "*", "t"}], ")"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "a", ",", "b"}], "}"}]}], "]"}]}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7263667304242964`*^9, 3.7263667754498043`*^9}, {
   3.7269828441891975`*^9, 3.72698285516022*^9}, {3.730783304891302*^9, 
   3.73078333430134*^9}, {3.730783826931879*^9, 3.7307838371632013`*^9}, 
   3.7308584215434003`*^9, {3.732858119244903*^9, 3.732858170824853*^9}, {
   3.732858326279745*^9, 3.732858334295203*^9}, {3.732924233236539*^9, 
   3.7329242909758415`*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{"-", 
    SuperscriptBox["t", "2"]}]], " ", 
  SqrtBox["\[Pi]"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", 
     RowBox[{"Erf", "[", 
      RowBox[{"a", "-", 
       RowBox[{"\[ImaginaryI]", " ", "t"}]}], "]"}]}], "+", 
    RowBox[{"Erf", "[", 
     RowBox[{"b", "-", 
      RowBox[{"\[ImaginaryI]", " ", "t"}]}], "]"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.732858172373942*^9, 3.732858336997358*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{
    FractionBox["1", "2"], " ", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"-", 
      SuperscriptBox["t", "2"]}]], " ", 
    SqrtBox["\[Pi]"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"Erf", "[", 
        RowBox[{"a", "-", 
         RowBox[{"\[ImaginaryI]", " ", "t"}]}], "]"}]}], "+", 
      RowBox[{"Erf", "[", 
       RowBox[{"b", "-", 
        RowBox[{"\[ImaginaryI]", " ", "t"}]}], "]"}]}], ")"}]}], " ", "-", 
   " ", 
   RowBox[{
    FractionBox["1", "2"], " ", 
    SqrtBox["\[Pi]"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Fadd", "[", 
        RowBox[{"t", "+", 
         RowBox[{"I", "*", "a"}]}], "]"}], "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{"a", "^", "2"}]}], "+", 
          RowBox[{"2", "*", "I", "*", "a", "*", "t"}]}], ")"}]}]}], "-", 
      RowBox[{
       RowBox[{"Fadd", "[", 
        RowBox[{"t", "+", 
         RowBox[{"I", "*", "b"}]}], "]"}], "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{"b", "^", "2"}]}], "+", 
          RowBox[{"2", "*", "I", "*", "b", "*", "t"}]}], ")"}]}]}]}], 
     ")"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.732858180509407*^9, 3.73285830504353*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.7328583064516106`*^9, 3.732858341474614*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"However", ",", " ", 
   RowBox[{
   "the", " ", "function", " ", "erfz", " ", "seems", " ", "to", " ", "work", 
    " ", "fine", " ", "in", " ", "Matlab"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.7329239423489017`*^9, 3.732923957278755*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   StyleBox[
    RowBox[{"Case", " ", 
     RowBox[{"II", ":", " ", 
      RowBox[{"right", " ", "boundary"}]}]}],
    FontSize->12,
    FontColor->RGBColor[1, 0, 0]], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"-", 
        RowBox[{"x", "^", "2"}]}], ")"}]}], "*", 
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "*", "I", "*", "x", "*", "t"}], ")"}]}]}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "a", ",", "b"}], "}"}]}], "]"}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7308462272427*^9, 3.7308462433174586`*^9}, 
   3.7308584215434003`*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{"-", 
    SuperscriptBox["t", "2"]}]], " ", 
  SqrtBox["\[Pi]"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", 
     RowBox[{"Erf", "[", 
      RowBox[{"a", "+", 
       RowBox[{"\[ImaginaryI]", " ", "t"}]}], "]"}]}], "+", 
    RowBox[{"Erf", "[", 
     RowBox[{"b", "+", 
      RowBox[{"\[ImaginaryI]", " ", "t"}]}], "]"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.7329250174463935`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   StyleBox[
    RowBox[{"Case", " ", 
     RowBox[{"III", ":", " ", "Interior"}]}],
    FontColor->RGBColor[1, 0, 0]], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ffun", "[", 
     RowBox[{"t1_", ",", "t2_"}], "]"}], "=", 
    RowBox[{"Integrate", "[", 
     RowBox[{
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"2", "*", "I", "*", "x", "*", 
         RowBox[{"(", 
          RowBox[{"t2", "-", "t1"}], ")"}]}], ")"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "a", ",", "b"}], "}"}]}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"2", "*", "I", "*", "x", "*", 
        RowBox[{"(", "t", ")"}]}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "a", ",", "b"}], "}"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Limit", "[", 
    RowBox[{
     RowBox[{"Integrate", "[", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"2", "*", "I", "*", "x", "*", 
          RowBox[{"(", "t", ")"}]}], ")"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "a", ",", "b"}], "}"}]}], "]"}], ",", 
     RowBox[{"t", "\[Rule]", "0"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Integrate", "[", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"2", "*", "I", "*", "x", "*", 
          RowBox[{"(", 
           RowBox[{"t2", "-", "t1"}], ")"}]}], ")"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "a", ",", "b"}], "}"}]}], "]"}], "-", 
     RowBox[{
      RowBox[{
       RowBox[{"I", "/", "2"}], "/", 
       RowBox[{"(", 
        RowBox[{"t2", "-", "t1"}], ")"}]}], "*", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"2", "*", "I", "*", "a", "*", 
           RowBox[{"(", 
            RowBox[{"t2", "-", "t1"}], ")"}]}], ")"}]}], "-", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{"2", "*", "I", "*", "b", "*", 
           RowBox[{"(", 
            RowBox[{"t2", "-", "t1"}], ")"}]}], ")"}]}]}], ")"}]}]}], 
    "]"}]}]}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.7308540560692525`*^9, 3.730854090845434*^9}, 
   3.7308584215434003`*^9, {3.7329471581677704`*^9, 3.732947164681143*^9}, {
   3.732947533047212*^9, 3.7329475969928694`*^9}, {3.733096371667185*^9, 
   3.733096430058525*^9}, {3.733097547158419*^9, 3.733097566032499*^9}, {
   3.733097625884922*^9, 3.73309762882209*^9}}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"\[ImaginaryI]", " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "a", " ", 
        RowBox[{"(", 
         RowBox[{"t1", "-", "t2"}], ")"}]}]], "-", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "b", " ", 
        RowBox[{"(", 
         RowBox[{"t1", "-", "t2"}], ")"}]}]]}], ")"}]}], 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{"t1", "-", "t2"}], ")"}]}]]}]], "Output",
 CellChangeTimes->{
  3.7329436518472204`*^9, {3.7329471719595594`*^9, 3.732947186941416*^9}, 
   3.7329475980929327`*^9, 3.7330964327096767`*^9, 3.7330975688786616`*^9, 
   3.733097630234171*^9}],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[ImaginaryI]", " ", 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "\[ImaginaryI]", " ", "a", " ", "t"}]], "-", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "\[ImaginaryI]", " ", "b", " ", "t"}]]}], ")"}]}], 
  RowBox[{"2", " ", "t"}]]], "Output",
 CellChangeTimes->{
  3.7329436518472204`*^9, {3.7329471719595594`*^9, 3.732947186941416*^9}, 
   3.7329475980929327`*^9, 3.7330964327096767`*^9, 3.7330975688786616`*^9, 
   3.7330976302401714`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "a"}], "+", "b"}]], "Output",
 CellChangeTimes->{
  3.7329436518472204`*^9, {3.7329471719595594`*^9, 3.732947186941416*^9}, 
   3.7329475980929327`*^9, 3.7330964327096767`*^9, 3.7330975688786616`*^9, 
   3.7330976302491713`*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.7329436518472204`*^9, {3.7329471719595594`*^9, 3.732947186941416*^9}, 
   3.7329475980929327`*^9, 3.7330964327096767`*^9, 3.7330975688786616`*^9, 
   3.733097630286174*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"test", " ", "the", " ", "2"}], "-", 
    RowBox[{"variable", " ", "fourier", " ", "series", " ", "expansion"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ffun2", "[", 
     RowBox[{"t1_", ",", "t2_"}], "]"}], "=", 
    RowBox[{
     RowBox[{"ffun", "[", 
      RowBox[{"t1", ",", "t2"}], "]"}], "*"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.7330975744369793`*^9, 3.73309762217671*^9}, {
  3.7330977239795327`*^9, 3.733097744809724*^9}}],

Cell[BoxData[
 RowBox[{"Limit", "[", 
  RowBox[{
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "*", "I", "*", "x", "*", 
        RowBox[{"(", "t", ")"}]}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "a", ",", "b"}], "}"}]}], "]"}], ",", 
   RowBox[{"t", "\[Rule]", "0"}]}], "]"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.},
 CellChangeTimes->{{3.730855664322937*^9, 3.7308556904428186`*^9}, 
   3.7308584215434003`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   StyleBox[
    RowBox[{
    "The", " ", "function", " ", "at", " ", "the", " ", "root", " ", "level"}],
    FontColor->RGBColor[1, 0, 0]], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"1", "/", 
    RowBox[{"Sqrt", "[", "Pi", "]"}]}], "*", 
   RowBox[{"Integrate", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"-", 
         RowBox[{"t", "^", "2"}]}], ")"}]}], "*", " ", 
      RowBox[{"E", "^", 
       RowBox[{"(", 
        RowBox[{"I", "*", "k", "*", 
         RowBox[{"t", "/", "L"}], "*", "Pi"}], ")"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", 
       RowBox[{"-", "Infinity"}], ",", "Infinity"}], "}"}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.73085864044394*^9, 3.7308587200206065`*^9}, {
  3.7308587571898456`*^9, 3.730858757953865*^9}, {3.7308587976521807`*^9, 
  3.7308588048843966`*^9}}],

Cell[BoxData[
 SuperscriptBox["\[ExponentialE]", 
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["k", "2"], " ", 
     SuperscriptBox["\[Pi]", "2"]}], 
    RowBox[{"4", " ", 
     SuperscriptBox["L", "2"]}]]}]]], "Output",
 CellChangeTimes->{3.7308587287638955`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Test", " ", "cases"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"two", " ", "levels"}], ",", " ", 
    RowBox[{"two", " ", "variables"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"a1", "=", 
     RowBox[{"-", "1"}]}], ";", 
    RowBox[{"b1", "=", "0.5"}], ";", 
    RowBox[{"a2", "=", 
     RowBox[{"-", "1"}]}], ";", 
    RowBox[{"b2", "=", "2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"NIntegrate", "[", 
    RowBox[{
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], "*", 
         RowBox[{"x", "^", "2"}]}], "+", 
        RowBox[{"2", "*", "x", "*", "y"}], "-", 
        RowBox[{"2", "*", 
         RowBox[{"y", "^", "2"}]}]}], ")"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "a1", ",", "b1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "a2", ",", "b2"}], "}"}], ",", 
     RowBox[{"PrecisionGoal", "\[Rule]", "15"}], ",", 
     RowBox[{"WorkingPrecision", "\[Rule]", "20"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7314690115481577`*^9, 3.7314690699732447`*^9}, 
   3.7314691095803103`*^9, {3.7314693404576554`*^9, 3.7314693721127043`*^9}, {
   3.732926284398859*^9, 3.732926292088299*^9}, {3.7329384550599813`*^9, 
   3.7329384553399973`*^9}, {3.7329387997176943`*^9, 3.7329388067100945`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"f1", "[", "t_", "]"}], "=", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{"E", "^", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"x", "^", "2"}]}], "+", 
       RowBox[{"2", "*", "I", "*", "x", "*", "t"}]}], ")"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "a", ",", "b"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.732857111884285*^9, 3.732857114396429*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f1", "[", "t_", "]"}], "=", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{"E", "^", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"x", "^", "2"}]}], "+", 
       RowBox[{"2", "*", "I", "*", "x", "*", "t"}]}], ")"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "a1", ",", "b1"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f2", "[", "t_", "]"}], "=", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{"E", "^", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"y", "^", "2"}]}], "-", 
       RowBox[{"2", "*", "I", "*", "y", "*", "t"}]}], ")"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", "a2", ",", "b2"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"1", "/", 
   RowBox[{"Sqrt", "[", "Pi", "]"}]}], "*", 
  RowBox[{"NIntegrate", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"-", 
        RowBox[{"t", "^", "2"}]}], ")"}]}], "*", 
     RowBox[{"f1", "[", "t", "]"}], "*", 
     RowBox[{"f2", "[", "t", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", 
      RowBox[{"-", "Infinity"}], ",", "Infinity"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"1", "/", 
   RowBox[{"Sqrt", "[", "Pi", "]"}]}], "*", 
  RowBox[{"NIntegrate", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"E", "^", 
      RowBox[{"(", 
       RowBox[{"-", 
        RowBox[{"t", "^", "2"}]}], ")"}]}], "*", 
     RowBox[{"f1", "[", "t", "]"}], "*", 
     RowBox[{"f2", "[", "t", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", 
      RowBox[{"-", "14"}], ",", "14"}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.7314694032647514`*^9, 3.731469572111004*^9}, {
  3.732847123665992*^9, 3.7328471261301327`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Test", " ", "the", " ", "function", " ", 
    RowBox[{"f1", ":", " ", "\[IndentingNewLine]", 
     RowBox[{
     "compare", " ", "with", " ", "Mathematica", " ", "function"}]}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"h", "=", 
    RowBox[{"2", "*", 
     RowBox[{"L", "/", "32"}]}]}], ";", 
   RowBox[{"CForm", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Re", "[", 
       RowBox[{"N", "[", 
        RowBox[{
         RowBox[{"f1", "[", 
          RowBox[{
           RowBox[{"-", "L"}], "+", 
           RowBox[{"k", "*", "h"}]}], "]"}], ",", "20"}], "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "0", ",", "31"}], "}"}]}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.732847867627544*^9, 3.7328478802632666`*^9}, {
  3.7328487245555573`*^9, 3.732848754647279*^9}, {3.7328487992248287`*^9, 
  3.73284880938941*^9}, {3.7328590372084074`*^9, 3.732859037568428*^9}, {
  3.732859085785186*^9, 3.7328591203671637`*^9}, {3.732859207989176*^9, 
  3.7328592249821477`*^9}, {3.7328593112290807`*^9, 3.732859316764397*^9}, {
  3.7328593470771313`*^9, 3.73285934846021*^9}, {3.732859749095125*^9, 
  3.732859774476577*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"filter", "[", "t_", "]"}], "=", 
   RowBox[{"f", "[", 
    RowBox[{"t", ",", 
     RowBox[{"1", "/", "14"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7314697210432277`*^9, 3.731469757890284*^9}, 
   3.7328597942407074`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Test", " ", "the", " ", "filter", " ", 
    RowBox[{"function", ":", " ", "\[IndentingNewLine]", 
     RowBox[{
     "compare", " ", "with", " ", "Mathematica", " ", "function"}]}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"h", "=", 
    RowBox[{"2", "*", 
     RowBox[{"L", "/", "32"}]}]}], ";", 
   RowBox[{"MatrixForm", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Re", "[", 
       RowBox[{"N", "[", 
        RowBox[{
         RowBox[{"filter", "[", 
          RowBox[{
           RowBox[{"-", "L"}], "+", 
           RowBox[{"k", "*", "h"}]}], "]"}], ",", "20"}], "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "0", ",", "31"}], "}"}]}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7328598170580125`*^9, 3.732859860232482*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"fc1", "[", "t_", "]"}], "=", 
  RowBox[{
   RowBox[{"filter", "[", "t", "]"}], "*", 
   RowBox[{"f1", "[", "t", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7314725356835365`*^9, 3.7314725491805563`*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "4"], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{"-", 
    SuperscriptBox["t", "2"]}]], " ", 
  SqrtBox["\[Pi]"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"Erf", "[", 
     RowBox[{"1", "-", 
      RowBox[{"\[ImaginaryI]", " ", "t"}]}], "]"}], "+", 
    RowBox[{"Erf", "[", 
     RowBox[{"1", "+", 
      RowBox[{"\[ImaginaryI]", " ", "t"}]}], "]"}]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", 
     RowBox[{"Erf", "[", 
      RowBox[{"14", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["3", "2"]}], "+", 
         FractionBox["t", "7"]}], ")"}]}], "]"}]}], "+", 
    RowBox[{"Erf", "[", 
     RowBox[{"14", " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox["3", "2"], "+", 
        FractionBox["t", "7"]}], ")"}]}], "]"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.731472550580558*^9, 3.732846184641283*^9, 
  3.732859686225529*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Test", " ", "the", " ", "filter", " ", 
    RowBox[{"function", ":", " ", "\[IndentingNewLine]", 
     RowBox[{
     "compare", " ", "with", " ", "Mathematica", " ", "function"}]}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"h", "=", 
     RowBox[{"2", "*", 
      RowBox[{"L", "/", "32"}]}]}], ";", 
    RowBox[{"MatrixForm", "[", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Re", "[", 
        RowBox[{"N", "[", 
         RowBox[{
          RowBox[{"fc1", "[", 
           RowBox[{
            RowBox[{"-", "L"}], "+", 
            RowBox[{"k", "*", "h"}]}], "]"}], ",", "20"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "0", ",", "31"}], "}"}]}], "]"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{"fc1", "[", 
         RowBox[{
          RowBox[{"-", "L"}], "+", 
          RowBox[{"k", "*", "h"}]}], "]"}], ",", "20"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "0", ",", "31"}], "}"}]}], "]"}], "*", 
    RowBox[{
     RowBox[{"h", "/", "2"}], "/", "L"}]}]}]}]], "Input",
 CellChangeTimes->{{3.731474274694785*^9, 3.731474285881802*^9}, {
  3.7328478474543905`*^9, 3.73284784832344*^9}, {3.7328599816924286`*^9, 
  3.7328599899018984`*^9}, {3.7328601586585507`*^9, 3.732860196457713*^9}, {
  3.7328603751209316`*^9, 3.7328603798562026`*^9}, {3.7328604284729834`*^9, 
  3.7328604296310496`*^9}}],

Cell[BoxData[
 RowBox[{"0.1125392766544846483207906082882343516`19.986663848882195", "+", 
  RowBox[{"0``21.158814599942254", " ", "\[ImaginaryI]"}]}]], "Output",
 CellChangeTimes->{{3.73147427769279*^9, 3.731474286271803*^9}, 
   3.73284784972152*^9, 3.7328599912859774`*^9, 3.732860197035746*^9, 
   3.73286043138615*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"L", "=", "14"}], ";"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.7314726608797245`*^9, 3.7314726639417295`*^9}, 
   3.7314727229108176`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"NIntegrate", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"fc1", "[", "t", "]"}], "*", 
        RowBox[{"E", "^", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "I"}], "*", 
           RowBox[{"Pi", "/", "L"}], "*", "n", "*", "t"}], ")"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", 
         RowBox[{"-", "L"}], ",", "L"}], "}"}], ",", 
       RowBox[{"PrecisionGoal", "\[Rule]", "15"}], ",", 
       RowBox[{"WorkingPrecision", "\[Rule]", "20"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", 
       RowBox[{"-", "1"}], ",", "15"}], "}"}]}], "]"}], "/", "2"}], "/", 
  "L"}]], "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.},
 CellChangeTimes->{{3.731470496729723*^9, 3.731470517264753*^9}, {
   3.7314716307115164`*^9, 3.731471634431522*^9}, {3.7314724013063345`*^9, 
   3.73147240511734*^9}, {3.731472555442566*^9, 3.7314725599205723`*^9}, {
   3.731472613227654*^9, 3.7314727487868567`*^9}, 3.7314738041630764`*^9, {
   3.731474593017263*^9, 3.7314746022712765`*^9}, {3.7314747057684374`*^9, 
   3.7314747237774634`*^9}, {3.731474886843707*^9, 3.7314748899937115`*^9}, {
   3.7314904474486485`*^9, 3.731490451498654*^9}, {3.731490481915702*^9, 
   3.7314904907377167`*^9}, {3.7328869658879833`*^9, 3.7328869666840286`*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"NPoints", "=", "128"}], ";", 
  RowBox[{"h", "=", 
   RowBox[{"2", "*", 
    RowBox[{"L", "/", "NPoints"}]}]}], ";", " ", 
  RowBox[{"N", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{"fc1", "[", 
        RowBox[{
         RowBox[{"-", "L"}], "+", 
         RowBox[{"n", "*", "h"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "0", ",", 
         RowBox[{"NPoints", "-", "1"}]}], "}"}]}], "]"}], "*", 
     RowBox[{
      RowBox[{"h", "/", "2"}], "/", "L"}]}], ",", "20"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7328459960734973`*^9, 3.7328460944261227`*^9}, 
   3.7328462050464497`*^9, {3.732846554142417*^9, 3.7328465953097715`*^9}, {
   3.7328466320308723`*^9, 3.7328466334949555`*^9}, {3.732860566848898*^9, 
   3.732860567020908*^9}, {3.732867130097217*^9, 3.7328671505763884`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"N", "[", 
   RowBox[{
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{"fc1", "[", 
       RowBox[{
        RowBox[{"-", "L"}], "+", 
        RowBox[{"n", "*", "h"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"n", ",", "0", ",", 
        RowBox[{"NPoints", "-", "1"}]}], "}"}]}], "]"}], ",", "20"}], "]"}], 
  "*", "h"}]], "Input",
 CellChangeTimes->{{3.732846980355795*^9, 3.732846990674385*^9}, {
  3.732847025492377*^9, 3.732847026108412*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"f1", "[", "t", "]"}], "*", 
    RowBox[{"f2", "[", "t", "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", 
     RowBox[{"-", "14"}], ",", "14"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.731469856623434*^9, 3.731469873286459*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"f1", "[", "t", "]"}], "*", 
    RowBox[{"f2", "[", "t", "]"}], "*", 
    RowBox[{"filter", "[", "t", "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", 
     RowBox[{"-", "14"}], ",", "14"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7314698984214964`*^9, 3.731469902160502*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"f1", "[", "t", "]"}], "*", 
    RowBox[{"f2", "[", "t", "]"}], "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"filter", "[", "t", "]"}], "-", "1"}], ")"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", 
     RowBox[{"-", "14"}], ",", "14"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7314699287025414`*^9, 3.731469932245547*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"now", " ", "n"}], "=", 
     RowBox[{"4", " ", "case"}]}], ",", " ", 
    RowBox[{
    "only", " ", "need", " ", "to", " ", "check", " ", "the", " ", "interior",
      " ", "functions", " ", "for", " ", "the", " ", "root", " ", "nodes"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"a1", "=", 
     RowBox[{"-", "1"}]}], ";", 
    RowBox[{"b1", "=", "0.5"}], ";", 
    RowBox[{"a2", "=", 
     RowBox[{"-", "1"}]}], ";", 
    RowBox[{"b2", "=", "2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ffun", "[", 
      RowBox[{"t1_", ",", "t2_"}], "]"}], "=", 
     RowBox[{"Integrate", "[", 
      RowBox[{
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{"2", "*", "I", "*", "x", "*", 
          RowBox[{"(", 
           RowBox[{"t2", "-", "t1"}], ")"}]}], ")"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "a2", ",", "b2"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ffun1", "[", 
      RowBox[{"t1_", ",", "t2_"}], "]"}], "=", 
     RowBox[{"3", "*", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "\[ImaginaryI]"}], " ", 
        RowBox[{"(", 
         RowBox[{"t1", "-", "t2"}], ")"}]}]], " ", 
      RowBox[{"Sinc", "[", 
       RowBox[{"3", " ", 
        RowBox[{"(", 
         RowBox[{"t1", "-", "t2"}], ")"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"check", " ", "the", " ", "index", " ", "of", " ", "ffun"}], " ", 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"h", "=", 
      RowBox[{"2", "*", 
       RowBox[{"L", "/", "128"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{"ffun1", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "14"}], "+", "h"}], ",", 
          RowBox[{"-", "14"}]}], "]"}], ",", "20"}], "]"}], 
      "\[IndentingNewLine]", 
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{"ffun1", "[", 
         RowBox[{
          RowBox[{"-", "14"}], ",", 
          RowBox[{
           RowBox[{"-", "14"}], "+", "h"}]}], "]"}], ",", "20"}], "]"}]}]}], 
    " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"ffun", "[", 
      RowBox[{"x", ",", "y"}], "]"}], "-", 
     RowBox[{"ffun1", "[", 
      RowBox[{"x", ",", "y"}], "]"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", 
      RowBox[{"x_", ",", "eps_"}], "]"}], "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"Erf", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"x", "/", "7"}], "+", 
            RowBox[{"15", "/", "10"}]}], ")"}], "/", "eps"}], "]"}], "-", 
        RowBox[{"Erf", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"x", "/", "7"}], "-", 
            RowBox[{"15", "/", "10"}]}], ")"}], "/", "eps"}], "]"}]}], ")"}], 
      "/", "2"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"filter", "[", "t_", "]"}], "=", 
     RowBox[{"f", "[", 
      RowBox[{"t", ",", 
       RowBox[{"1", "/", "14"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ffun2", "[", 
     RowBox[{"t1_", ",", "t2_"}], "]"}], "=", 
    RowBox[{
     RowBox[{"ffun1", "[", 
      RowBox[{"t1", ",", "t2"}], "]"}], "*", 
     RowBox[{"filter", "[", "t1", "]"}], "*", 
     RowBox[{"filter", "[", "t2", "]"}]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ffun3", "[", 
     RowBox[{"x", ",", "y"}], "]"}], "=", 
    RowBox[{"ffun2", "[", 
     RowBox[{
      RowBox[{"x", "*", 
       RowBox[{"14", "/", "Pi"}]}], ",", 
      RowBox[{"y", "*", 
       RowBox[{"14", "/", "Pi"}]}]}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.733097896791417*^9, 3.7330979500444627`*^9}, {
  3.7330979977621922`*^9, 3.7330980098078814`*^9}, {3.733098053978408*^9, 
  3.733098152570047*^9}, {3.7330981866899986`*^9, 3.7330982329346433`*^9}, {
  3.7331107442142477`*^9, 3.733110748768508*^9}, {3.733112818809908*^9, 
  3.7331128688797717`*^9}, {3.733112923365888*^9, 3.733112939783827*^9}, {
  3.733113195013425*^9, 3.733113217930736*^9}, {3.733117451044856*^9, 
  3.7331174750542297`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"L", "=", "14"}], ";", " ", 
   RowBox[{"NPoints", "=", "256"}], ";", 
   RowBox[{"h", "=", 
    RowBox[{"2", "*", 
     RowBox[{"L", "/", "NPoints"}]}]}], ";"}], " ", "\n", 
  RowBox[{"(*", " ", 
   RowBox[{"FourierCoefficient", "[", 
    RowBox[{
     RowBox[{"ffun3", "[", 
      RowBox[{"x", ",", "y"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"m", ",", "n"}], "}"}]}], "]"}], " ", "*)"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"FourierCoefficient", " ", "is", " ", "very", " ", "slow"}], ",", 
    " ", 
    RowBox[{
    "integrate", " ", "directly", " ", "is", " ", "also", " ", "slow", " ", 
     "but", " ", "acceptable"}]}], " ", "*)"}], "\n", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"1", "/", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2", "*", "Pi"}], ")"}], "^", "2"}]}], "*", 
    RowBox[{"NIntegrate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"ffun3", "[", 
        RowBox[{"x", ",", "y"}], "]"}], "*", 
       RowBox[{"E", "^", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "I"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"m", "*", "x"}], "+", 
            RowBox[{"n", "*", "y"}]}], ")"}]}], ")"}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"y", ",", 
        RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "how", " ", "about", " ", "applying", " ", "trapezoidal", " ", "rule", " ", 
    RowBox[{"directly", "?"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{"N", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"ffun2", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "L"}], "+", 
            RowBox[{"j", "*", "h"}]}], ",", 
           RowBox[{
            RowBox[{"-", "L"}], "+", 
            RowBox[{"k", "*", "h"}]}]}], "]"}], "*", 
         RowBox[{"E", "^", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "I"}], "*", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"m1", "*", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "L"}], "+", 
                 RowBox[{"j", "*", "h"}]}], ")"}]}], "+", 
              RowBox[{"n1", "*", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "L"}], "+", 
                 RowBox[{"k", "*", "h"}]}], ")"}]}]}], ")"}], "*", 
            RowBox[{"Pi", "/", "L"}]}], ")"}]}]}], ",", "20"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "0", ",", 
        RowBox[{"NPoints", "-", "1"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "0", ",", 
        RowBox[{"NPoints", "-", "1"}]}], "}"}]}], "]"}], "*", 
    RowBox[{
     RowBox[{
      RowBox[{"(", "h", ")"}], "^", "2"}], "/", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2", "*", "L"}], ")"}], "^", "2"}]}]}], ",", 
   RowBox[{"{", 
    RowBox[{"m1", ",", "0", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"n1", ",", "4", ",", "4"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.733111086354817*^9, 3.733111089571001*^9}, {
   3.733111140458912*^9, 3.733111171501687*^9}, {3.7331112776597586`*^9, 
   3.7331112972898817`*^9}, {3.733112975560873*^9, 3.7331129908037453`*^9}, {
   3.7331131048622684`*^9, 3.733113140588312*^9}, {3.73311323145251*^9, 
   3.7331132487564993`*^9}, {3.733113315699328*^9, 3.733113315954343*^9}, {
   3.7331134922034235`*^9, 3.7331135541459665`*^9}, 3.7331135970524206`*^9, {
   3.7331136311993732`*^9, 3.733113637374727*^9}, 3.733113676606971*^9, {
   3.7331138892871356`*^9, 3.7331139231860743`*^9}, 3.7331141684471025`*^9, {
   3.7331144914215755`*^9, 3.733114495558812*^9}, {3.733114650936699*^9, 
   3.7331147133542695`*^9}, {3.7331147501073713`*^9, 3.733114775016796*^9}, {
   3.7331148548253613`*^9, 3.733114898632867*^9}, 3.7331149738451686`*^9, {
   3.733115073187851*^9, 3.7331151377705445`*^9}, {3.733115414745387*^9, 
   3.733115415386423*^9}, {3.7331164005857735`*^9, 3.7331164065801163`*^9}, {
   3.733117545379252*^9, 3.7331175853775396`*^9}, {3.733117732121933*^9, 
   3.7331177352111096`*^9}, {3.7331178722289467`*^9, 3.733117875724147*^9}, {
   3.7331180291269207`*^9, 3.7331180327881303`*^9}, {3.733118127630555*^9, 
   3.7331181298826838`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0.00161246039861239102401054655796101853`18.13798044410424", "+", 
     RowBox[{"0``20.930406694571115", " ", "\[ImaginaryI]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00578856660126717547230583631756137697`18.692806631600984"}], 
     "+", 
     RowBox[{"0``20.930066328426093", " ", "\[ImaginaryI]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.00531202533820448331822333018434634551`18.65545641937601", "+", 
     RowBox[{"0``20.93028093285893", " ", "\[ImaginaryI]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00201320059493394768476039771443829277`18.23412264716769"}], "+", 
     RowBox[{"0``20.930066328426093", " ", "\[ImaginaryI]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00148830354063638005915752019233967641`18.10360094146743"}], "+", 
     RowBox[{"0``20.930829141331067", " ", "\[ImaginaryI]"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.7331138426334667`*^9, 3.7331140794060097`*^9, 3.733114319474741*^9, 
   3.733114635851836*^9, 3.733114675648113*^9, {3.7331147260489955`*^9, 
   3.7331147896236315`*^9}, {3.7331148713023033`*^9, 3.733114900370966*^9}, 
   3.733114975985291*^9, {3.7331151133101454`*^9, 3.733115124887808*^9}, 
   3.7331151587357435`*^9, 3.733115785766608*^9, 3.733116420769928*^9, 
   3.733117579341194*^9, 3.7331176554995503`*^9, 3.7331178106444244`*^9, 
   3.733117944215064*^9, 3.73311810026999*^9, 3.7331181964894934`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"a1", "=", 
   RowBox[{"-", "1"}]}], ";", 
  RowBox[{"b1", "=", 
   RowBox[{"1", "/", "2"}]}], ";", 
  RowBox[{"a2", "=", 
   RowBox[{"-", "1"}]}], ";", 
  RowBox[{"b2", "=", "2"}], ";", 
  RowBox[{"a3", "=", 
   RowBox[{"-", "1"}]}], ";", 
  RowBox[{"b3", "=", "1"}], ";", 
  RowBox[{"a4", "=", 
   RowBox[{"-", "1"}]}], ";", 
  RowBox[{"b4", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fun", "[", 
   RowBox[{"y_", ",", "z_"}], "]"}], "=", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{"E", "^", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], "*", 
        RowBox[{"x", "^", "2"}]}], "+", 
       RowBox[{"2", "*", "x", "*", "y"}], "-", 
       RowBox[{"2", "*", 
        RowBox[{"y", "^", "2"}]}], "+", 
       RowBox[{"2", "*", "y", "*", "z"}], "-", 
       RowBox[{"2", "*", 
        RowBox[{"z", "^", "2"}]}], "+", 
       RowBox[{"2", "*", "z", "*", "w"}], "-", 
       RowBox[{"2", "*", 
        RowBox[{"w", "^", "2"}]}]}], ")"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "a1", ",", "b1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"w", ",", "a4", ",", "b4"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"NIntegrate", "[", 
  RowBox[{
   RowBox[{"fun", "[", 
    RowBox[{"y", ",", "z"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", "a2", ",", "b2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", "a3", ",", "b3"}], "}"}], ",", 
   RowBox[{"PrecisionGoal", "\[Rule]", "30"}], ",", 
   RowBox[{"WorkingPrecision", "\[Rule]", "60"}], ",", 
   RowBox[{"MaxRecursion", "\[Rule]", "100"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.733122436049982*^9, 3.7331225140314426`*^9}, {
  3.733133624375798*^9, 3.733133633206303*^9}, {3.733133813392609*^9, 
  3.733133814302661*^9}, {3.733133956751809*^9, 3.7331339569358196`*^9}, {
  3.733135321349859*^9, 3.7331353221889076`*^9}, {3.7331356654365396`*^9, 
  3.733135671215871*^9}, {3.7331360461203136`*^9, 3.7331360622642374`*^9}, {
  3.7331360933900175`*^9, 3.7331360938430433`*^9}, {3.7331362456967287`*^9, 
  3.7331363056741595`*^9}, {3.7331363544119473`*^9, 3.733136378898348*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox["1", "8"]}], " ", 
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{"3", " ", 
       SuperscriptBox["y", "2"]}], "2"]}], "+", 
    RowBox[{"2", " ", "y", " ", "z"}], "-", 
    FractionBox[
     RowBox[{"3", " ", 
      SuperscriptBox["z", "2"]}], "2"]}]], " ", "\[Pi]", " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"Erf", "[", 
     FractionBox[
      RowBox[{"1", "-", "y"}], 
      SqrtBox["2"]], "]"}], "+", 
    RowBox[{"Erf", "[", 
     FractionBox[
      RowBox[{"2", "+", "y"}], 
      SqrtBox["2"]], "]"}]}], ")"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"Erf", "[", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "2"}], "+", "z"}], 
      SqrtBox["2"]], "]"}], "-", 
    RowBox[{"Erf", "[", 
     FractionBox[
      RowBox[{"2", "+", "z"}], 
      SqrtBox["2"]], "]"}]}], ")"}]}]], "Output",
 CellChangeTimes->{
  3.7331225657313995`*^9, 3.733133700171133*^9, 3.733133878724346*^9, 
   3.7331340507021823`*^9, 3.7331353793091745`*^9, 3.733135728083123*^9, {
   3.7331360668374987`*^9, 3.73313608364546*^9}, 3.7331361511883235`*^9, 
   3.7331362689620595`*^9, 3.7331363276344156`*^9, 3.7331363899569807`*^9}],

Cell[BoxData["2.\
28933421508877826035967411461686243716820744395408453453751242305162946621542`\
60."], "Output",
 CellChangeTimes->{
  3.7331225657313995`*^9, 3.733133700171133*^9, 3.733133878724346*^9, 
   3.7331340507021823`*^9, 3.7331353793091745`*^9, 3.733135728083123*^9, {
   3.7331360668374987`*^9, 3.73313608364546*^9}, 3.7331361511883235`*^9, 
   3.7331362689620595`*^9, 3.7331363276344156`*^9, 3.7331381765301666`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"a1", "=", 
   RowBox[{"-", "1"}]}], ";", 
  RowBox[{"b1", "=", 
   RowBox[{"1", "/", "2"}]}], ";", 
  RowBox[{"a2", "=", 
   RowBox[{"-", "1"}]}], ";", 
  RowBox[{"b2", "=", "2"}], ";", 
  RowBox[{"a3", "=", 
   RowBox[{"-", "1"}]}], ";", 
  RowBox[{"b3", "=", "1"}], ";", 
  RowBox[{"a4", "=", 
   RowBox[{"-", "1"}]}], ";", 
  RowBox[{"b4", "=", "1"}], ";", " ", 
  RowBox[{"a5", "=", 
   RowBox[{"-", "1"}]}], ";", 
  RowBox[{"b5", "=", "1"}], ";", 
  RowBox[{"a6", "=", 
   RowBox[{"-", "1"}]}], ";", 
  RowBox[{"b6", "=", "1"}], ";", 
  RowBox[{"a7", "=", 
   RowBox[{"-", "1"}]}], ";", 
  RowBox[{"b7", "=", "1"}], ";", 
  RowBox[{"a8", "=", 
   RowBox[{"-", "1"}]}], ";", 
  RowBox[{"b8", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fun", "[", 
   RowBox[{"x2_", ",", "x4_", ",", "x5_", ",", "x7_"}], "]"}], "=", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{"E", "^", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], "*", 
        RowBox[{"x1", "^", "2"}]}], "+", 
       RowBox[{"2", "*", "x1", "*", "x2"}], "-", 
       RowBox[{"2", "*", 
        RowBox[{"x2", "^", "2"}]}], "+", 
       RowBox[{"2", "*", "x2", "*", "x3"}], "-", 
       RowBox[{"2", "*", 
        RowBox[{"x3", "^", "2"}]}], "+", 
       RowBox[{"2", "*", "x3", "*", "x4"}], "-", 
       RowBox[{"2", "*", 
        RowBox[{"x4", "^", "2"}]}], "+", 
       RowBox[{"2", "*", "x4", "*", "x5"}], "-", 
       RowBox[{"2", "*", 
        RowBox[{"x5", "^", "2"}]}], "+", 
       RowBox[{"2", "*", "x5", "*", "x6"}], "-", 
       RowBox[{"2", "*", 
        RowBox[{"x6", "^", "2"}]}], "+", 
       RowBox[{"2", "*", "x6", "*", "x7"}], "-", 
       RowBox[{"2", "*", 
        RowBox[{"x7", "^", "2"}]}], "+", 
       RowBox[{"2", "*", "x7", "*", "x8"}], "-", 
       RowBox[{"2", "*", 
        RowBox[{"x8", "^", "2"}]}]}], ")"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"x1", ",", "a1", ",", "b1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x3", ",", "a3", ",", "b3"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x6", ",", "a6", ",", "b6"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x8", ",", "a8", ",", "b8"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"NIntegrate", "[", 
  RowBox[{
   RowBox[{"fun", "[", 
    RowBox[{"x2", ",", "x4", ",", "x5", ",", "x7"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x2", ",", "a2", ",", "b2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x4", ",", "a4", ",", "b4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x5", ",", "a5", ",", "b5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x7", ",", "a7", ",", "b7"}], "}"}], ",", 
   RowBox[{"PrecisionGoal", "\[Rule]", "20"}], ",", 
   RowBox[{"WorkingPrecision", "\[Rule]", "40"}], ",", 
   RowBox[{"MaxRecursion", "\[Rule]", "100"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.73326463316174*^9, 3.7332649131367536`*^9}, {
  3.733278284793098*^9, 3.733278356815217*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["x2", "2"]}], "+", 
      RowBox[{"x2", " ", "x4"}], "-", 
      SuperscriptBox["x4", "2"], "+", 
      RowBox[{"x4", " ", "x6"}], "-", 
      SuperscriptBox["x6", "2"], "+", 
      RowBox[{"x6", " ", "x8"}], "-", 
      FractionBox[
       RowBox[{"3", " ", 
        SuperscriptBox["x8", "2"]}], "2"]}]], " ", 
    SuperscriptBox["\[Pi]", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Erf", "[", 
       FractionBox[
        RowBox[{"1", "-", "x2"}], 
        SqrtBox["2"]], "]"}], "+", 
      RowBox[{"Erf", "[", 
       FractionBox[
        RowBox[{"2", "+", "x2"}], 
        SqrtBox["2"]], "]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", "x2", "+", "x4"}], ")"}]}], " ", 
       SqrtBox[
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"2", "+", "x2", "+", "x4"}], ")"}], "2"]], " ", 
       RowBox[{"Erf", "[", 
        FractionBox[
         SqrtBox[
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "2"}], "+", "x2", "+", "x4"}], ")"}], "2"]], 
         SqrtBox["2"]], "]"}]}], "+", 
      RowBox[{
       SqrtBox[
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "2"}], "+", "x2", "+", "x4"}], ")"}], "2"]], " ", 
       RowBox[{"(", 
        RowBox[{"2", "+", "x2", "+", "x4"}], ")"}], " ", 
       RowBox[{"Erf", "[", 
        FractionBox[
         SqrtBox[
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"2", "+", "x2", "+", "x4"}], ")"}], "2"]], 
         SqrtBox["2"]], "]"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", "x4", "+", "x6"}], ")"}], " ", 
       SqrtBox[
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"2", "+", "x4", "+", "x6"}], ")"}], "2"]], " ", 
       RowBox[{"Erf", "[", 
        FractionBox[
         SqrtBox[
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "2"}], "+", "x4", "+", "x6"}], ")"}], "2"]], 
         SqrtBox["2"]], "]"}]}], "-", 
      RowBox[{
       SqrtBox[
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "2"}], "+", "x4", "+", "x6"}], ")"}], "2"]], " ", 
       RowBox[{"(", 
        RowBox[{"2", "+", "x4", "+", "x6"}], ")"}], " ", 
       RowBox[{"Erf", "[", 
        FractionBox[
         SqrtBox[
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"2", "+", "x4", "+", "x6"}], ")"}], "2"]], 
         SqrtBox["2"]], "]"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Erf", "[", 
       FractionBox[
        RowBox[{
         RowBox[{"-", "2"}], "+", "x6", "+", "x8"}], 
        SqrtBox["2"]], "]"}], "-", 
      RowBox[{"Erf", "[", 
       FractionBox[
        RowBox[{"2", "+", "x6", "+", "x8"}], 
        SqrtBox["2"]], "]"}]}], ")"}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{"64", " ", 
    SqrtBox[
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", "x2", "+", "x4"}], ")"}], "2"]], " ", 
    SqrtBox[
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"2", "+", "x2", "+", "x4"}], ")"}], "2"]], " ", 
    SqrtBox[
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", "x4", "+", "x6"}], ")"}], "2"]], " ", 
    SqrtBox[
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"2", "+", "x4", "+", "x6"}], ")"}], "2"]]}], ")"}]}]], "Output",
 CellChangeTimes->{3.7332650035779266`*^9}],

Cell[BoxData[
 TemplateBox[{
  "NIntegrate","eincr",
   "\"The global error of the strategy GlobalAdaptive has increased more than \
\\!\\(\\*RowBox[{\\\"2000\\\"}]\\) times. The global error is expected to \
decrease monotonically after a number of integrand evaluations. Suspect one \
of the following: the working precision is insufficient for the specified \
precision goal; the integrand is highly oscillatory or it is not a \
(piecewise) smooth function; or the true value of the integral is 0. \
Increasing the value of the GlobalAdaptive option MaxErrorIncreases might \
lead to a convergent numerical integration. NIntegrate obtained \
\\!\\(\\*RowBox[{\\\"6.\
624246691716217391142314834126940225925177376945464987378134416233637541852166\
6`80.\\\"}]\\) and \
\\!\\(\\*RowBox[{\\\"1.\
035897556231962959889274786140455079993113689550725338845619225925823479690105\
1`80.*^-6\\\"}]\\) for the integral and error estimates.\"",2,201,51,
   19858023152675729701,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7332674314417925`*^9}],

Cell[BoxData["6.6242466917162173911423148341269402259251773769454649873781`30.\
"], "Output",
 CellChangeTimes->{3.7332674332508955`*^9}]
}, Open  ]]
},
WindowSize->{926, 802},
WindowMargins->{{Automatic, 0}, {Automatic, 0}},
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (July 28, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 1087, 30, 69, "Input"],
Cell[1670, 54, 309, 8, 35, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2016, 67, 818, 20, 88, "Input"],
Cell[2837, 89, 269, 5, 50, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3143, 99, 183, 3, 30, "Input"],
Cell[3329, 104, 193, 3, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3559, 112, 1433, 36, 145, "Input"],
Cell[4995, 150, 239, 7, 42, "Output"]
}, Open  ]],
Cell[5249, 160, 1069, 28, 88, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[6321, 190, 13191, 230, 236, "Output"],
Cell[19515, 422, 565, 17, 30, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[20083, 441, 23006, 391, 243, "Output"],
Cell[43092, 834, 1425, 37, 50, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[44520, 873, 537, 18, 61, "Output"],
Cell[45060, 893, 593, 13, 30, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[45656, 908, 151, 3, 30, "Output"],
Cell[45810, 913, 459, 10, 30, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[46272, 925, 138, 2, 30, "Output"],
Cell[CellGroupData[{
Cell[46435, 931, 1583, 36, 88, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[48021, 969, 925, 25, 50, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[48949, 996, 753, 17, 30, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[49705, 1015, 501, 13, 30, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}]
}, Open  ]],
Cell[50221, 1031, 1984, 53, 145, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[52208, 1086, 518, 16, 46, "Output"],
Cell[CellGroupData[{
Cell[52751, 1106, 1387, 45, 82, "Input"],
Cell[54141, 1153, 94, 1, 30, "Output"]
}, Open  ]],
Cell[54250, 1157, 295, 6, 30, "Input"],
Cell[54548, 1165, 791, 24, 50, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[55342, 1191, 498, 16, 46, "Output"],
Cell[55843, 1209, 2638, 75, 126, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[58484, 1286, 801, 22, 53, "Output"],
Cell[59288, 1310, 554, 13, 52, "Output"],
Cell[59845, 1325, 267, 6, 30, "Output"],
Cell[60115, 1333, 225, 4, 30, "Output"],
Cell[60343, 1339, 548, 15, 50, "Input"],
Cell[60894, 1356, 541, 15, 30, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10001.}],
Cell[CellGroupData[{
Cell[61460, 1375, 933, 27, 69, "Input"],
Cell[62396, 1404, 284, 9, 47, "Output"]
}, Open  ]],
Cell[62695, 1416, 1421, 36, 107, "Input"],
Cell[64119, 1454, 444, 13, 30, "Input"],
Cell[64566, 1469, 1818, 59, 107, "Input"],
Cell[66387, 1530, 1240, 30, 88, "Input"],
Cell[67630, 1562, 279, 8, 30, "Input"],
Cell[67912, 1572, 855, 24, 88, "Input"],
Cell[CellGroupData[{
Cell[68792, 1600, 237, 6, 30, "Input"],
Cell[69032, 1608, 965, 32, 85, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[70034, 1645, 1556, 43, 107, "Input"],
Cell[71593, 1690, 323, 5, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[71953, 1700, 221, 5, 30, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}],
Cell[72177, 1707, 1386, 31, 50, "Input",
 CellGroupingRules->{"GroupTogetherGrouping", 10000.}]
}, Open  ]],
Cell[73578, 1741, 884, 23, 30, "Input"],
Cell[74465, 1766, 493, 15, 30, "Input"],
Cell[74961, 1783, 314, 9, 30, "Input"],
Cell[75278, 1794, 361, 10, 30, "Input"],
Cell[75642, 1806, 414, 12, 30, "Input"],
Cell[76059, 1820, 4403, 128, 259, "Input"],
Cell[CellGroupData[{
Cell[80487, 1952, 4581, 119, 145, "Input"],
Cell[85071, 2073, 1547, 33, 55, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[86655, 2111, 2165, 57, 69, "Input"],
Cell[88823, 2170, 1237, 39, 55, "Output"],
Cell[90063, 2211, 430, 7, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[90530, 2223, 2942, 84, 411, "Input"],
Cell[93475, 2309, 3777, 125, 246, "Output"],
Cell[97255, 2436, 1064, 19, 107, "Message"],
Cell[98322, 2457, 137, 2, 30, "Output"]
}, Open  ]]
}
]
*)

